-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.synchronous_task_control.spc,v $ 
-- $Revision: 1.3 $ $Date: 95/10/10 14:04:09 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

--ARM D.10

with System.RTS.TGT.Kernel.Threads;

pragma ada_child;
package Ada.Synchronous_Task_Control is
  pragma Suppress( Elaboration_Check );

  type Suspension_Object is limited private;

  procedure Set_True(S : in out Suspension_Object);

  procedure Set_False(S : in out Suspension_Object);

  function Current_State(S : Suspension_Object) return Boolean;

  procedure Suspend_Until_True(S : in out Suspension_Object);

private

  type Suspension_Object is new
    System.RTS.TGT.Kernel.Threads.Suspension_Object;

end Ada.Synchronous_Task_Control;
