-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_CheckboxGroup.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:41 $ $Author: stt $ 
with java.lang; use java.lang;
with java.awt.Checkbox; use java.awt.Checkbox;
with java.lang.String; use java.lang.String;
package java.awt.CheckboxGroup is

    type CheckboxGroup_Obj is new Object with null record;
    type CheckboxGroup_Ptr is access all CheckboxGroup_Obj'Class;

    function new_CheckboxGroup(Obj : CheckboxGroup_Ptr := null) return CheckboxGroup_Ptr;

    function getCurrent(Obj : access CheckboxGroup_Obj) return Checkbox_Ptr;

    procedure setCurrent(Obj : access CheckboxGroup_Obj;
        box : Checkbox_Ptr);

    -- The following operations are actually part of the "Checkbox"
    -- class, moved here to avoid circularity

    function new_Checkbox(
        label : String_Ptr;
        group : CheckboxGroup_Ptr;
        state : Boolean;
        Obj : Checkbox_Ptr := null)
      return Checkbox_Ptr;

    function getCheckboxGroup(Obj : access Checkbox_Obj'Class) 
      return CheckboxGroup_Ptr;

    procedure setCheckboxGroup(Obj : access Checkbox_Obj'Class;
        g : CheckboxGroup_Ptr);

    function toString(Obj : access CheckboxGroup_Obj) return String_Ptr;

    pragma Import(Java, setCurrent);
    pragma Import(Java, toString);
    pragma Import(Java, getCurrent);

    pragma Import(Java_Constructor, new_CheckboxGroup);

    pragma Import(Java, setCheckboxGroup, 
      "java/awt/Checkbox.setCheckboxGroup");
    pragma Import(Java, getCheckboxGroup, 
      "java/awt/Checkbox.getCheckboxGroup");

    pragma Import(Java_Constructor, new_Checkbox, 
      "java/awt/Checkbox.<init>");

end java.awt.CheckboxGroup;
