-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Component.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:24:50 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.FontMetrics; use java.awt.FontMetrics;
with java.awt.Font; use java.awt.Font;
with java.lang.String; use java.lang.String;
-- with java.awt.peer.ComponentPeer; use java.awt.peer.ComponentPeer;
with java.awt.Event; use java.awt.Event;
with java.awt.Graphics; use java.awt.Graphics;
-- with java.awt.Container; use java.awt.Container;
with java.awt.Image; use java.awt.Image;
  use java.awt.image.ImageObserver;
  use java.awt.image.ImageProducer;
  use java.awt.image.ColorModel;
-- with java.awt.Toolkit; use java.awt.Toolkit;
with java.awt.Dimension; use java.awt.Dimension;
with java.awt.Color; use java.awt.Color;
with java.awt.Point; use java.awt.Point;
with java.awt.Rectangle; use java.awt.Rectangle;
with java.io.PrintStream; use java.io.PrintStream;
package java.awt.Component is

    type Component_Obj is abstract new Object with record
        ImageObserver : aliased ImageObserver_Obj;  -- implements ImageObserver
    end record;
    type Component_Ptr is access all Component_Obj'Class;

    -- function getPeer(Obj : access Component_Obj) return ComponentPeer_Ptr;
    -- circular, and no Peer stuff provided at the moment

    function isValid(Obj : access Component_Obj) return Boolean;

    function isVisible(Obj : access Component_Obj) return Boolean;

    function isShowing(Obj : access Component_Obj) return Boolean;

    function isEnabled(Obj : access Component_Obj) return Boolean;

    function location(Obj : access Component_Obj) return Point_Ptr;

    function size(Obj : access Component_Obj) return Dimension_Ptr;

    function bounds(Obj : access Component_Obj) return Rectangle_Ptr;

    procedure enable(Obj : access Component_Obj);

    procedure enable(Obj : access Component_Obj;
        cond : Boolean);

    procedure disable(Obj : access Component_Obj);

    procedure show(Obj : access Component_Obj);

    procedure show(Obj : access Component_Obj;
        cond : Boolean);

    procedure hide(Obj : access Component_Obj);

    function getForeground(Obj : access Component_Obj) return Color_Ptr;

    procedure setForeground(Obj : access Component_Obj;
        c : Color_Ptr);

    function getBackground(Obj : access Component_Obj) return Color_Ptr;

    procedure setBackground(Obj : access Component_Obj;
        c : Color_Ptr);

    function getFont(Obj : access Component_Obj) return Font_Ptr;

    procedure setFont(Obj : access Component_Obj;
        f : Font_Ptr);

    function getColorModel(Obj : access Component_Obj) return ColorModel_Ptr;

    procedure move(Obj : access Component_Obj;
        x : Integer;
        y : Integer);

    procedure resize(Obj : access Component_Obj;
        width : Integer;
        height : Integer);

    procedure resize(Obj : access Component_Obj;
        d : Dimension_Ptr);

    procedure reshape(Obj : access Component_Obj;
        x : Integer;
        y : Integer;
        width : Integer;
        height : Integer);

    function preferredSize(Obj : access Component_Obj) return Dimension_Ptr;

    function minimumSize(Obj : access Component_Obj) return Dimension_Ptr;

    procedure layout(Obj : access Component_Obj);

    procedure validate(Obj : access Component_Obj);

    procedure invalidate(Obj : access Component_Obj);

    function getGraphics(Obj : access Component_Obj) return Graphics_Ptr;

    function getFontMetrics(Obj : access Component_Obj;
        font : Font_Ptr)
      return FontMetrics_Ptr;

    procedure paint(Obj : access Component_Obj;
        g : Graphics_Ptr);

    procedure update(Obj : access Component_Obj;
        g : Graphics_Ptr);

    procedure paintAll(Obj : access Component_Obj;
        g : Graphics_Ptr);

    procedure repaint(Obj : access Component_Obj);

    procedure repaint(Obj : access Component_Obj;
        tm : Long_Integer);

    procedure repaint(Obj : access Component_Obj;
        x : Integer;
        y : Integer;
        width : Integer;
        height : Integer);

    procedure repaint(Obj : access Component_Obj;
        tm : Long_Integer;
        P2 : Integer;
        x : Integer;
        y : Integer;
        width : Integer);

    procedure print(Obj : access Component_Obj;
        g : Graphics_Ptr);

    procedure printAll(Obj : access Component_Obj;
        g : Graphics_Ptr);

    function imageUpdate(Obj : access Component_Obj;
        img : Image_Ptr;
        flags : Integer;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer)
      return Boolean;

    function createImage(Obj : access Component_Obj;
        producer : ImageProducer_Ptr)
      return Image_Ptr;

    function createImage(Obj : access Component_Obj;
        width : Integer;
        height : Integer)
      return Image_Ptr;

    function prepareImage(Obj : access Component_Obj;
        image : Image_Ptr;
        observer : ImageObserver_Ptr)
      return Boolean;

    function prepareImage(Obj : access Component_Obj;
        image : Image_Ptr;
        width : Integer;
        height : Integer;
        observer : ImageObserver_Ptr)
      return Boolean;

    function checkImage(Obj : access Component_Obj;
        image : Image_Ptr;
        observer : ImageObserver_Ptr)
      return Integer;

    function checkImage(Obj : access Component_Obj;
        image : Image_Ptr;
        width : Integer;
        height : Integer;
        observer : ImageObserver_Ptr)
      return Integer;

    function inside(Obj : access Component_Obj;
        x : Integer;
        y : Integer)
      return Boolean;

    function locate(Obj : access Component_Obj;
        x : Integer;
        y : Integer)
      return Component_Ptr;

    procedure deliverEvent(Obj : access Component_Obj;
        e : Event_Ptr);

    function postEvent(Obj : access Component_Obj;
        e : Event_Ptr)
      return Boolean;

    function handleEvent(Obj : access Component_Obj;
        evt : Event_Ptr)
      return Boolean;

    function mouseDown(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function mouseDrag(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function mouseUp(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function mouseMove(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function mouseEnter(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function mouseExit(Obj : access Component_Obj;
        evt : Event_Ptr;
        x : Integer;
        y : Integer)
      return Boolean;

    function keyDown(Obj : access Component_Obj;
        evt : Event_Ptr;
        key : Integer)
      return Boolean;

    function keyUp(Obj : access Component_Obj;
        evt : Event_Ptr;
        key : Integer)
      return Boolean;

    function action(Obj : access Component_Obj;
        evt : Event_Ptr;
        what : Object_Ptr)
      return Boolean;

    procedure addNotify(Obj : access Component_Obj);

    procedure removeNotify(Obj : access Component_Obj);

    function gotFocus(Obj : access Component_Obj;
        evt : Event_Ptr;
        what : Object_Ptr)
      return Boolean;

    function lostFocus(Obj : access Component_Obj;
        evt : Event_Ptr;
        what : Object_Ptr)
      return Boolean;

    procedure requestFocus(Obj : access Component_Obj);

    procedure nextFocus(Obj : access Component_Obj);

    function toString(Obj : access Component_Obj) return String_Ptr;

    procedure list(Obj : access Component_Obj);

    procedure list(Obj : access Component_Obj;
        stdout : PrintStream_Ptr);

    procedure list(Obj : access Component_Obj;
        stdout : PrintStream_Ptr;
        indent : Integer);

    pragma Import(Java, minimumSize);
    pragma Import(Java, hide);
    pragma Import(Java, lostFocus);
    pragma Import(Java, move);
    pragma Import(Java, isValid);
    pragma Import(Java, getBackground);
    pragma Import(Java, bounds);
    pragma Import(Java, removeNotify);
    pragma Import(Java, getGraphics);
    pragma Import(Java, checkImage);
    pragma Import(Java, setFont);
    pragma Import(Java, paintAll);
    pragma Import(Java, isVisible);
    pragma Import(Java, requestFocus);
    pragma Import(Java, getFont);
    pragma Import(Java, addNotify);
    pragma Import(Java, getFontMetrics);
    pragma Import(Java, paint);
    pragma Import(Java, show);
    pragma Import(Java, mouseDrag);
    pragma Import(Java, isEnabled);
    pragma Import(Java, validate);
    pragma Import(Java, mouseMove);
    pragma Import(Java, size);
    pragma Import(Java, mouseEnter);
    pragma Import(Java, printAll);
    pragma Import(Java, mouseUp);
    pragma Import(Java, nextFocus);
    pragma Import(Java, reshape);
    pragma Import(Java, deliverEvent);
    pragma Import(Java, createImage);
    pragma Import(Java, handleEvent);
    pragma Import(Java, getColorModel);
    pragma Import(Java, locate);
    pragma Import(Java, imageUpdate);
    pragma Import(Java, prepareImage);
    pragma Import(Java, resize);
    pragma Import(Java, keyDown);
    pragma Import(Java, action);
    pragma Import(Java, print);
    pragma Import(Java, setForeground);
    pragma Import(Java, preferredSize);
    pragma Import(Java, inside);
    pragma Import(Java, mouseDown);
    pragma Import(Java, isShowing);
    pragma Import(Java, location);
    pragma Import(Java, update);
    pragma Import(Java, enable);
    pragma Import(Java, setBackground);
    pragma Import(Java, layout);
    pragma Import(Java, repaint);
    pragma Import(Java, gotFocus);
    pragma Import(Java, list);
    pragma Import(Java, invalidate);
    pragma Import(Java, keyUp);
    pragma Import(Java, toString);
    pragma Import(Java, disable);
    pragma Import(Java, mouseExit);
    pragma Import(Java, postEvent);
    pragma Import(Java, getForeground);


end java.awt.Component;
