-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_CropImageFilter.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:30 $ $Author: vdelvecc $ 
with java.awt.image;
    use java.awt.image.ColorModel;
    use java.awt.image.ImageConsumer;  -- for Pixel_*_Array
with java.awt.image.ImageFilter; use java.awt.image.ImageFilter;
with java.util.Hashtable; use java.util.Hashtable;
package java.awt.image.CropImageFilter is

    type CropImageFilter_Obj is new ImageFilter_Obj with null record;
    type CropImageFilter_Ptr is access all CropImageFilter_Obj'Class;

    function new_CropImageFilter(
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        Obj : CropImageFilter_Ptr := null)
      return CropImageFilter_Ptr;

    procedure setProperties(Obj : access CropImageFilter_Obj;
        props : Hashtable_Ptr);

    procedure setDimensions(Obj : access CropImageFilter_Obj;
        w : Integer;
        h : Integer);

    procedure setPixels(Obj : access CropImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Byte_Array;
        off : Integer;
        scansize : Integer);

    procedure setPixels(Obj : access CropImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer);

    pragma Import(Java, setPixels);
    pragma Import(Java, setDimensions);
    pragma Import(Java, setProperties);

    pragma Import(Java_Constructor, new_CropImageFilter);

end java.awt.image.CropImageFilter;
