-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_DatagramPacket.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:30:48 $ $Author: vdelvecc $ 
with java.net.InetAddress; use java.net.InetAddress;
package java.net.DatagramPacket is

    type DatagramPacket_Obj is tagged limited null record;
    type DatagramPacket_Ptr is access all DatagramPacket_Obj;

    function new_DatagramPacket(
        ibuf : String;
        ilength : Integer)
      return DatagramPacket_Ptr;

    function new_DatagramPacket(
        ibuf : String;
        ilength : Integer;
        iaddr : InetAddress_Ptr;
        iport : Integer)
      return DatagramPacket_Ptr;

    function getAddress(Obj : access DatagramPacket_Obj) return InetAddress_Ptr;

    function getPort(Obj : access DatagramPacket_Obj) return Integer;

    function getData(Obj : access DatagramPacket_Obj) return String;

    function getLength(Obj : access DatagramPacket_Obj) return Integer;

    pragma Import(Java, getPort);
    pragma Import(Java, getLength);
    pragma Import(Java, getData);
    pragma Import(Java, getAddress);

    pragma Import(Java_Constructor, new_DatagramPacket);

end java.net.DatagramPacket;
