-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_FilenameFilter.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:47 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
with java.io.File; use java.io.File;
package java.io.FilenameFilter is

    -- NOTE: FilenameFilter is an "interface" type

    type FilenameFilter_Obj is new Object with null record;
    pragma Convention(Java_Interface, FilenameFilter_Obj);

    type FilenameFilter_Ptr is access all FilenameFilter_Obj'Class;

    function acceptFile(Obj : access FilenameFilter_Obj;
        dir : File_Ptr;
        name : String_Ptr)
      return Boolean;

    -- This is an operation of the "File" class, here to avoid circularity
    function list(Obj : access File_Obj'Class;
        filter : FilenameFilter_Ptr)
      return String_Array;

    pragma Import(Java, acceptFile, "accept");

    pragma Import(Java, list, "java/io/File.list");


end java.io.FilenameFilter;
