-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_FontMetrics.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:24:58 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.Font; use java.awt.Font;
with java.lang.String; use java.lang.String;
package java.awt.FontMetrics is

    type FontMetrics_Obj is abstract new Object with null record;
    type FontMetrics_Ptr is access all FontMetrics_Obj'Class;

    function getFont(Obj : access FontMetrics_Obj) return Font_Ptr;

    function getLeading(Obj : access FontMetrics_Obj) return Integer;

    function getAscent(Obj : access FontMetrics_Obj) return Integer;

    function getDescent(Obj : access FontMetrics_Obj) return Integer;

    function getHeight(Obj : access FontMetrics_Obj) return Integer;

    function getMaxAscent(Obj : access FontMetrics_Obj) return Integer;

    function getMaxDescent(Obj : access FontMetrics_Obj) return Integer;

    function getMaxDecent(Obj : access FontMetrics_Obj) return Integer;

    function getMaxAdvance(Obj : access FontMetrics_Obj) return Integer;

    function charWidth(Obj : access FontMetrics_Obj;
        ch : Integer)
      return Integer;

    function charWidth(Obj : access FontMetrics_Obj;
        ch : Wide_Character)
      return Integer;

    function stringWidth(Obj : access FontMetrics_Obj;
        str : String_Ptr)
      return Integer;

    function charsWidth(Obj : access FontMetrics_Obj;
        data : Wide_String;
        off : Integer;
        len : Integer)
      return Integer;

    function bytesWidth(Obj : access FontMetrics_Obj;
        data : String;
        off : Integer;
        len : Integer)
      return Integer;

    type Font_Width_Array is array(Positive range <>) of Integer;

    function getWidths(Obj : access FontMetrics_Obj) return Font_Width_Array;

    function toString(Obj : access FontMetrics_Obj) return String_Ptr;

    pragma Import(Java, getWidths);
    pragma Import(Java, getMaxDescent);
    pragma Import(Java, getMaxAdvance);
    pragma Import(Java, getFont);
    pragma Import(Java, getDescent);
    pragma Import(Java, getHeight);
    pragma Import(Java, getMaxDecent);
    pragma Import(Java, getLeading);
    pragma Import(Java, charWidth);
    pragma Import(Java, charsWidth);
    pragma Import(Java, getMaxAscent);
    pragma Import(Java, getAscent);
    pragma Import(Java, bytesWidth);
    pragma Import(Java, stringWidth);
    pragma Import(Java, toString);


end java.awt.FontMetrics;
