-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_GridBagConstraints.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:51 $ $Author: stt $ 
with java.lang; use java.lang;
with java.lang.Cloneable; use java.lang.Cloneable;
with java.awt.Insets; use java.awt.Insets;
package java.awt.GridBagConstraints is

    type GridBagConstraints_Obj is new Object with record
        Cloneable : aliased Cloneable_Obj;  -- implements Cloneable

        gridx : Integer;
        gridy : Integer;
        gridwidth : Integer;
        gridheight : Integer;
        weightx : Long_Float;
        weighty : Long_Float;
        anchor : Integer;
        fill : Integer;
        insets : Insets_Ptr;
        ipadx : Integer;
        ipady : Integer;
    end record;
    type GridBagConstraints_Ptr is access all GridBagConstraints_Obj'Class;

    RELATIVE : constant Integer;
    pragma Import(Java, RELATIVE);

    REMAINDER : constant Integer;
    pragma Import(Java, REMAINDER);

    NONE : constant Integer;
    pragma Import(Java, NONE);

    BOTH : constant Integer;
    pragma Import(Java, BOTH);

    HORIZONTAL : constant Integer;
    pragma Import(Java, HORIZONTAL);

    VERTICAL : constant Integer;
    pragma Import(Java, VERTICAL);

    CENTER : constant Integer;
    pragma Import(Java, CENTER);

    NORTH : constant Integer;
    pragma Import(Java, NORTH);

    NORTHEAST : constant Integer;
    pragma Import(Java, NORTHEAST);

    EAST : constant Integer;
    pragma Import(Java, EAST);

    SOUTHEAST : constant Integer;
    pragma Import(Java, SOUTHEAST);

    SOUTH : constant Integer;
    pragma Import(Java, SOUTH);

    SOUTHWEST : constant Integer;
    pragma Import(Java, SOUTHWEST);

    WEST : constant Integer;
    pragma Import(Java, WEST);

    NORTHWEST : constant Integer;
    pragma Import(Java, NORTHWEST);

    function new_GridBagConstraints(Obj : GridBagConstraints_Ptr := null) return GridBagConstraints_Ptr;

    function clone(Obj : access GridBagConstraints_Obj) return Object_Ptr;

    pragma Import(Java, clone);

    pragma Import(Java_Constructor, new_GridBagConstraints);

end java.awt.GridBagConstraints;
