-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_IndexColorModel.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:35 $ $Author: vdelvecc $ 
with java.awt.image; use java.awt.image.ColorModel;
package java.awt.image.IndexColorModel is

    type IndexColorModel_Obj is new ColorModel_Obj with null record;
    type IndexColorModel_Ptr is access all IndexColorModel_Obj'Class;

    function new_IndexColorModel(
        bits : Integer;
        size : Integer;
        r : String;
        g : String;
        b : String;
        Obj : IndexColorModel_Ptr := null)
      return IndexColorModel_Ptr;

    function new_IndexColorModel(
        bits : Integer;
        size : Integer;
        r : String;
        g : String;
        b : String;
        trans : Integer;
        Obj : IndexColorModel_Ptr := null)
      return IndexColorModel_Ptr;

    function new_IndexColorModel(
        bits : Integer;
        size : Integer;
        r : String;
        g : String;
        b : String;
        a : String;
        Obj : IndexColorModel_Ptr := null)
      return IndexColorModel_Ptr;

    function new_IndexColorModel(
        bits : Integer;
        size : Integer;
        cmap : String;
        start : Integer;
        hasalpha : Boolean;
        Obj : IndexColorModel_Ptr := null)
      return IndexColorModel_Ptr;

    function new_IndexColorModel(
        bits : Integer;
        size : Integer;
        cmap : String;
        start : Integer;
        hasalpha : Boolean;
        trans : Integer;
        Obj : IndexColorModel_Ptr := null)
      return IndexColorModel_Ptr;

    function getMapSize(Obj : access IndexColorModel_Obj) return Integer;

    function getTransparentPixel(Obj : access IndexColorModel_Obj) return Integer;

    procedure getReds(Obj : access IndexColorModel_Obj;
        r : String);

    procedure getGreens(Obj : access IndexColorModel_Obj;
        g : String);

    procedure getBlues(Obj : access IndexColorModel_Obj;
        b : String);

    procedure getAlphas(Obj : access IndexColorModel_Obj;
        a : String);

    function getRed(Obj : access IndexColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getGreen(Obj : access IndexColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getBlue(Obj : access IndexColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getAlpha(Obj : access IndexColorModel_Obj;
        pixel : Integer)
      return Integer;

    function getRGB(Obj : access IndexColorModel_Obj;
        pixel : Integer)
      return Integer;

    pragma Import(Java, getAlpha);
    pragma Import(Java, getTransparentPixel);
    pragma Import(Java, getMapSize);
    pragma Import(Java, getGreen);
    pragma Import(Java, getReds);
    pragma Import(Java, getAlphas);
    pragma Import(Java, getRed);
    pragma Import(Java, getBlues);
    pragma Import(Java, getRGB);
    pragma Import(Java, getBlue);
    pragma Import(Java, getGreens);

    pragma Import(Java_Constructor, new_IndexColorModel);

end java.awt.image.IndexColorModel;
