-- $Source: /home/dsd/d/aa/monoBANK/AA/interfaces.java.ada_exception.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/14 21:51:08 $ $Author: vdelvecc $ 

with java.lang.RuntimeException; use java.lang.RuntimeException;
with java.lang.String; use java.lang.String;
package interfaces.java.Ada_Exception is
    type Ada_Exception_Obj is new RuntimeException_Obj with record
	settable_message : String_Ptr;
	  -- Used for message passed to Ada.Exceptions.Raise_Exception
    end record;

    procedure init_Ada_Exception(x : access Ada_Exception_Obj'Class;
      s : String_Ptr);
    pragma convention(Java_Constructor, init_Ada_Exception);

    procedure Set_Message(x : access Ada_Exception_Obj'Class; s : String_Ptr);
    pragma convention(Java, Set_Message);

end interfaces.java.Ada_Exception;

package body interfaces.java.Ada_Exception is

    procedure init_RuntimeException(x : access RuntimeException_Obj'Class);
    pragma Import(Java_constructor, init_RuntimeException, 
      "java/lang/RuntimeException.<init>");

    procedure init_Ada_Exception(x : access Ada_Exception_Obj'Class;
      s : String_Ptr) is
    begin
	init_RuntimeException(x, s);
	x.settable_message := s;
    end init_Ada_Exception;

    procedure Set_Message(x : access Ada_Exception_Obj'Class; s : String_Ptr) is
    begin
	x.settable_message := s;
    end Set_Message;

end interfaces.java.Ada_Exception;
