-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang.ada,v $ 
-- $Revision: 1.3 $ $Date: 96/11/11 13:15:25 $ $Author: stt $ 
package java.lang is
    pragma Preelaborate(java.lang);

    type Object is tagged limited null record;
    type Object_Ptr is access all Object'Class;

    function hashCode(Obj : access Object) return Integer;

    -- see java.lang.Object_ops package for rest of
    -- "Object" abstraction

    -- exceptions from java.lang that are *not* descendants of RuntimeException:

    ClassNotFoundException	: exception;
    CloneNotSupportedException	: exception;
    IllegalAccessException	: exception;
    InstantiationException	: exception;
    InterruptedException	: exception;
    NoSuchMethodException	: exception;

    pragma Import(Java, hashCode);

end java.lang;
