-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_List.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:58 $ $Author: stt $ 
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.List is

    type List_Obj is new Component_Obj with null record;
    type List_Ptr is access all List_Obj'Class;

    function new_List(Obj : List_Ptr := null) return List_Ptr;

    function new_List(
        rows : Integer;
        multipleSelections : Boolean;
        Obj : List_Ptr := null)
      return List_Ptr;

    procedure addNotify(Obj : access List_Obj);

    procedure removeNotify(Obj : access List_Obj);

    function countItems(Obj : access List_Obj) return Integer;

    function getItem(Obj : access List_Obj;
        index : Integer)
      return String_Ptr;

    procedure addItem(Obj : access List_Obj;
        item : String_Ptr);

    procedure addItem(Obj : access List_Obj;
        item : String_Ptr;
        index : Integer);

    procedure replaceItem(Obj : access List_Obj;
        newValue : String_Ptr;
        index : Integer);

    procedure clear(Obj : access List_Obj);

    procedure delItem(Obj : access List_Obj;
        position : Integer);

    procedure delItems(Obj : access List_Obj;
        start : Integer;
        finish : Integer);

    function getSelectedIndex(Obj : access List_Obj) return Integer;

    type Index_Array is array(Positive range <>) of Integer;

    function getSelectedIndexes(Obj : access List_Obj) return Index_Array;

    function getSelectedItem(Obj : access List_Obj) return String_Ptr;

    function getSelectedItems(Obj : access List_Obj) return String_Array;

    procedure select_op(Obj : access List_Obj;
        index : Integer);

    procedure deselect(Obj : access List_Obj;
        index : Integer);

    function isSelected(Obj : access List_Obj;
        index : Integer)
      return Boolean;

    function getRows(Obj : access List_Obj) return Integer;

    function allowsMultipleSelections(Obj : access List_Obj) return Boolean;

    procedure setMultipleSelections(Obj : access List_Obj;
        v : Boolean);

    function getVisibleIndex(Obj : access List_Obj) return Integer;

    procedure makeVisible(Obj : access List_Obj;
        index : Integer);

    function preferredSize(Obj : access List_Obj;
        rows : Integer)
      return Dimension_Ptr;

    function preferredSize(Obj : access List_Obj) return Dimension_Ptr;

    function minimumSize(Obj : access List_Obj;
        rows : Integer)
      return Dimension_Ptr;

    function minimumSize(Obj : access List_Obj) return Dimension_Ptr;

    pragma Import(Java, minimumSize);
    pragma Import(Java, replaceItem);
    pragma Import(Java, getSelectedIndexes);
    pragma Import(Java, removeNotify);
    pragma Import(Java, delItem);
    pragma Import(Java, getSelectedIndex);
    pragma Import(Java, addNotify);
    pragma Import(Java, isSelected);
    pragma Import(Java, allowsMultipleSelections);
    pragma Import(Java, getVisibleIndex);
    pragma Import(Java, getRows);
    pragma Import(Java, getItem);
    pragma Import(Java, delItems);
    pragma Import(Java, setMultipleSelections);
    pragma Import(Java, addItem);
    pragma Import(Java, deselect);
    pragma Import(Java, clear);
    pragma Import(Java, makeVisible);
    pragma Import(Java, preferredSize);
    pragma Import(Java, getSelectedItem);
    pragma Import(Java, getSelectedItems);
    pragma Import(Java, select_op, "select");
    pragma Import(Java, countItems);

    pragma Import(Java_Constructor, new_List);

end java.awt.List;
