-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_MediaTracker.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:12 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.Component; use java.awt.Component;
with java.awt.Image; use java.awt.Image;
package java.awt.MediaTracker is

    type MediaTracker_Obj is new Object with null record;
    type MediaTracker_Ptr is access all MediaTracker_Obj'Class;

    LOADING : constant Integer;
    pragma Import(Java, LOADING);

    ABORTED : constant Integer;
    pragma Import(Java, ABORTED);

    ERRORED : constant Integer;
    pragma Import(Java, ERRORED);

    COMPLETE : constant Integer;
    pragma Import(Java, COMPLETE);

    function new_MediaTracker(
        comp : Component_Ptr;
        Obj : MediaTracker_Ptr := null)
      return MediaTracker_Ptr;

    procedure addImage(Obj : access MediaTracker_Obj;
        image : Image_Ptr;
        id : Integer);

    procedure addImage(Obj : access MediaTracker_Obj;
        image : Image_Ptr;
        id : Integer;
        w : Integer;
        h : Integer);

    function checkAll(Obj : access MediaTracker_Obj) return Boolean;

    function checkAll(Obj : access MediaTracker_Obj;
        load : Boolean)
      return Boolean;

    function isErrorAny(Obj : access MediaTracker_Obj) return Boolean;

    type Object_Array is array(Positive range <>) of Object_Ptr;

    function getErrorsAny(Obj : access MediaTracker_Obj) return Object_Array;

    procedure waitForAll(Obj : access MediaTracker_Obj);

    function waitForAll(Obj : access MediaTracker_Obj;
        ms : Long_Integer)
      return Boolean;

    function statusAll(Obj : access MediaTracker_Obj;
        load : Boolean)
      return Integer;

    function checkID(Obj : access MediaTracker_Obj;
        id : Integer)
      return Boolean;

    function checkID(Obj : access MediaTracker_Obj;
        id : Integer;
        load : Boolean)
      return Boolean;

    function isErrorID(Obj : access MediaTracker_Obj;
        id : Integer)
      return Boolean;

    function getErrorsID(Obj : access MediaTracker_Obj;
        id : Integer)
      return Object_Array;

    procedure waitForID(Obj : access MediaTracker_Obj;
        id : Integer);

    function waitForID(Obj : access MediaTracker_Obj;
        id : Integer;
        ms : Long_Integer)
      return Boolean;

    function statusID(Obj : access MediaTracker_Obj;
        id : Integer;
        load : Boolean)
      return Integer;

    pragma Import(Java, statusID);
    pragma Import(Java, waitForAll);
    pragma Import(Java, getErrorsAny);
    pragma Import(Java, checkID);
    pragma Import(Java, getErrorsID);
    pragma Import(Java, addImage);
    pragma Import(Java, waitForID);
    pragma Import(Java, isErrorAny);
    pragma Import(Java, statusAll);
    pragma Import(Java, checkAll);
    pragma Import(Java, isErrorID);

    pragma Import(Java_Constructor, new_MediaTracker);

end java.awt.MediaTracker;
