-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Menu.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:13 $ $Author: vdelvecc $ 
with java.awt.MenuItem; use java.awt.MenuItem;
with java.lang.String; use java.lang.String;
with java.awt.MenuComponent; use java.awt.MenuComponent;
with java.awt.MenuContainer; use java.awt.MenuContainer;
package java.awt.Menu is

    type Menu_Obj is new MenuItem_Obj with record
        MenuContainer : aliased MenuContainer_Obj;  -- implements MenuContainer
    end record;
    type Menu_Ptr is access all Menu_Obj'Class;

    function new_Menu(
        label : String_Ptr;
        Obj : Menu_Ptr := null)
      return Menu_Ptr;

    function new_Menu(
        label : String_Ptr;
        tearOff : Boolean;
        Obj : Menu_Ptr := null)
      return Menu_Ptr;

    procedure addNotify(Obj : access Menu_Obj);

    procedure removeNotify(Obj : access Menu_Obj);

    function isTearOff(Obj : access Menu_Obj) return Boolean;

    function countItems(Obj : access Menu_Obj) return Integer;

    function getItem(Obj : access Menu_Obj;
        index : Integer)
      return MenuItem_Ptr;

    function add(Obj : access Menu_Obj;
        mi : MenuItem_Ptr)
      return MenuItem_Ptr;

    procedure add(Obj : access Menu_Obj;
        label : String_Ptr);

    procedure addSeparator(Obj : access Menu_Obj);

    procedure remove(Obj : access Menu_Obj;
        index : Integer);

    procedure remove(Obj : access Menu_Obj;
        item : MenuComponent_Ptr);

    pragma Import(Java, removeNotify);
    pragma Import(Java, add);
    pragma Import(Java, addNotify);
    pragma Import(Java, remove);
    pragma Import(Java, isTearOff);
    pragma Import(Java, getItem);
    pragma Import(Java, addSeparator);
    pragma Import(Java, countItems);

    pragma Import(Java_Constructor, new_Menu);

end java.awt.Menu;
