-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_PixelGrabber.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:38 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.Image; use java.awt.Image;
    use java.awt.image.ColorModel;
    use java.awt.image.ImageProducer;
    use java.awt.image.ImageConsumer;
with java.util.Hashtable; use java.util.Hashtable;
package java.awt.image.PixelGrabber is

    type PixelGrabber_Obj is new Object with record
        ImageConsumer : aliased ImageConsumer_Obj;  -- implements ImageConsumer
    end record;
    type PixelGrabber_Ptr is access all PixelGrabber_Obj'Class;

    function new_PixelGrabber(
        img : Image_Ptr;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        pix : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer;
        Obj : PixelGrabber_Ptr := null)
      return PixelGrabber_Ptr;

    function new_PixelGrabber(
        ip : ImageProducer_Ptr;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        pix : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer;
        Obj : PixelGrabber_Ptr := null)
      return PixelGrabber_Ptr;

    function grabPixels(Obj : access PixelGrabber_Obj) return Boolean;

    function grabPixels(Obj : access PixelGrabber_Obj;
        ms : Long_Integer)
      return Boolean;

    function status(Obj : access PixelGrabber_Obj) return Integer;

    procedure setDimensions(Obj : access PixelGrabber_Obj;
        width : Integer;
        height : Integer);

    procedure setHints(Obj : access PixelGrabber_Obj;
        hints : Integer);

    procedure setProperties(Obj : access PixelGrabber_Obj;
        props : Hashtable_Ptr);

    procedure setColorModel(Obj : access PixelGrabber_Obj;
        model : ColorModel_Ptr);

    procedure setPixels(Obj : access PixelGrabber_Obj;
        srcX : Integer;
        srcY : Integer;
        srcW : Integer;
        srcH : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Byte_Array;
        srcOff : Integer;
        srcScan : Integer);

    procedure setPixels(Obj : access PixelGrabber_Obj;
        srcX : Integer;
        srcY : Integer;
        srcW : Integer;
        srcH : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Integer_Array;
        srcOff : Integer;
        srcScan : Integer);

    procedure imageComplete(Obj : access PixelGrabber_Obj;
        status : Integer);

    pragma Import(Java, setColorModel);
    pragma Import(Java, setHints);
    pragma Import(Java, grabPixels);
    pragma Import(Java, status);
    pragma Import(Java, setPixels);
    pragma Import(Java, setDimensions);
    pragma Import(Java, setProperties);
    pragma Import(Java, imageComplete);

    pragma Import(Java_Constructor, new_PixelGrabber);

end java.awt.image.PixelGrabber;
