-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Scrollbar.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:04:12 $ $Author: stt $ 
with java.awt.Component; use java.awt.Component;
package java.awt.Scrollbar is

    type Scrollbar_Obj is new Component_Obj with null record;
    type Scrollbar_Ptr is access all Scrollbar_Obj'Class;

    HORIZONTAL : constant Integer;
    pragma Import(Java, HORIZONTAL);

    VERTICAL : constant Integer;
    pragma Import(Java, VERTICAL);

    function new_Scrollbar(Obj : Scrollbar_Ptr := null) return Scrollbar_Ptr;

    function new_Scrollbar(
        orientation : Integer;
        Obj : Scrollbar_Ptr := null)
      return Scrollbar_Ptr;

    function new_Scrollbar(
        orientation : Integer;
        value : Integer;
        visible : Integer;
        minimum : Integer;
        maximum : Integer;
        Obj : Scrollbar_Ptr := null)
      return Scrollbar_Ptr;

    procedure addNotify(Obj : access Scrollbar_Obj);

    function getOrientation(Obj : access Scrollbar_Obj) return Integer;

    function getValue(Obj : access Scrollbar_Obj) return Integer;

    procedure setValue(Obj : access Scrollbar_Obj;
        value : Integer);

    function getMinimum(Obj : access Scrollbar_Obj) return Integer;

    function getMaximum(Obj : access Scrollbar_Obj) return Integer;

    function getVisible(Obj : access Scrollbar_Obj) return Integer;

    procedure setLineIncrement(Obj : access Scrollbar_Obj;
        l : Integer);

    function getLineIncrement(Obj : access Scrollbar_Obj) return Integer;

    procedure setPageIncrement(Obj : access Scrollbar_Obj;
        l : Integer);

    function getPageIncrement(Obj : access Scrollbar_Obj) return Integer;

    procedure setValues(Obj : access Scrollbar_Obj;
        value : Integer;
        visible : Integer;
        minimum : Integer;
        maximum : Integer);

    pragma Import(Java, getOrientation);
    pragma Import(Java, addNotify);
    pragma Import(Java, setLineIncrement);
    pragma Import(Java, setPageIncrement);
    pragma Import(Java, getMinimum);
    pragma Import(Java, getMaximum);
    pragma Import(Java, getVisible);
    pragma Import(Java, getLineIncrement);
    pragma Import(Java, setValues);
    pragma Import(Java, setValue);
    pragma Import(Java, getPageIncrement);
    pragma Import(Java, getValue);

    pragma Import(Java_Constructor, new_Scrollbar);

end java.awt.Scrollbar;
