-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_ServerSocket.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:30:54 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.net.InetAddress; use java.net.InetAddress;
with java.net.SocketImplFactory; use java.net.SocketImplFactory;
with java.net.Socket; use java.net.Socket;
package java.net.ServerSocket is

    type ServerSocket_Obj is tagged limited null record;
    type ServerSocket_Ptr is access all ServerSocket_Obj;

    function new_ServerSocket(
        port : Integer)
      return ServerSocket_Ptr;

    function new_ServerSocket(
        port : Integer;
        count : Integer)
      return ServerSocket_Ptr;

    function getInetAddress(Obj : access ServerSocket_Obj) return InetAddress_Ptr;

    function getLocalPort(Obj : access ServerSocket_Obj) return Integer;

    function accept_op(Obj : access ServerSocket_Obj) return Socket_Ptr;

    procedure close(Obj : access ServerSocket_Obj);

    function toString(Obj : access ServerSocket_Obj) return String_Ptr;

    procedure setSocketFactory(
        fac : SocketImplFactory_Ptr);

    pragma Import(Java, getLocalPort);
    pragma Import(Java, setSocketFactory);
    pragma Import(Java, getInetAddress);
    pragma Import(Java, accept_op, "accept");
    pragma Import(Java, close);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_ServerSocket);

end java.net.ServerSocket;
