-- $Source: /home/dsd/d/aa/monoBANK/AA/system.address_to_access_conversions.bdy,v $ 
-- $Revision: 1.3 $ $Date: 95/11/21 14:07:34 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

with ada.unchecked_conversion;

package body System.Address_To_Access_Conversions is
    pragma Suppress( Elaboration_Check );

    function To_Pointer(Value : System.Address) return Object_Pointer is
        function Conv is new Ada.Unchecked_Conversion(
				 Source => System.Address,
				 Target => Object_Pointer);
    begin
        return Conv (Value);
    end To_Pointer;

    function To_Address(Value : Object_Pointer) return System.Address is
        function Conv is new Ada.Unchecked_Conversion(
				 Source => Object_Pointer,
				 Target => System.Address);
    begin
        return Conv (Value);
    end To_Address;

end System.Address_To_Access_Conversions;
