-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.task_termination_pkg.spc,v $ 
-- $Revision: 1.5 $ $Date: 95/10/10 14:08:48 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

with System.RTS.Tasking_Types_Pkg;

package System.RTS.Task_Termination_Pkg is

    pragma Suppress( Elaboration_Check );

--* OVERVIEW
-- This package contains the termination procedure.  This is an 
-- internal RTS interface.  Terminate_Task is called from Task_Envelope.
-- Finalization has already been performed by generated code. 

    procedure Terminate_Task(Status : Tasking_Types_Pkg.Completion_Status_Enum);
    --* OVERVIEW
    -- Called to handle handle effects of termination.

end System.RTS.Task_Termination_Pkg;
