-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.tgt.short_float_attributes_pkg.spc,v $ 
-- $Revision: 1.3 $ $Date: 95/12/08 10:53:40 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.

package System.RTS.TGT.Short_Float_Attributes_Pkg is

    type Univ_Integer is new Integer;

    function RTS_Short_float_succ(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_succ,
                  "rts_short_float_succ");


    function RTS_Short_float_pred(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_pred,
                  "rts_short_float_pred");


    function RTS_Short_float_exponent(
      Arg: Float
    ) return Univ_Integer;
    pragma Export(Ada, RTS_Short_float_exponent,
                  "rts_short_float_exponent");


    function RTS_Short_float_fraction(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_fraction,
                  "rts_short_float_fraction");


    function RTS_Short_float_compose(
      Fraction: Float;
      Exponent: Univ_Integer
    ) return Float;
    pragma Export(Ada, RTS_Short_float_compose,
                  "rts_short_float_compose");


    function RTS_Short_float_scaling(
      Arg: Float;
      Adjustment: Univ_Integer
    ) return Float;
    pragma Export(Ada, RTS_Short_float_scaling,
                  "rts_short_float_scaling");


    function RTS_Short_float_floor(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_floor,
                  "rts_short_float_floor");

    function RTS_Short_float_ceiling(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_ceiling,
                  "rts_short_float_ceiling");


    function RTS_Short_float_rounding(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_rounding,
                  "rts_short_float_rounding");


    function RTS_Short_float_unbiased_rounding(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_unbiased_rounding,
                  "rts_short_float_unbiased_rounding");


    function RTS_Short_float_truncation(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_truncation,
                  "rts_short_float_truncation");


    function RTS_Short_float_remainder(
      X, Y: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_remainder,
                  "rts_short_float_remainder");


    function RTS_Short_float_adjacent(
      X, Towards: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_adjacent,
                  "rts_short_float_adjacent");


    function RTS_Short_float_copy_sign(
      Value, Sign: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_copy_sign,
                  "rts_short_float_copy_sign");


    function RTS_Short_float_leading_part(
      Arg: Float;
      Radix_Digits: Univ_Integer
    ) return Float;
    pragma Export(Ada, RTS_Short_float_leading_part,
                  "rts_short_float_leading_part");


    function RTS_Short_float_machine(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_machine,
                  "rts_short_float_machine");


    function RTS_Short_float_model(
      Arg: Float
    ) return Float;
    pragma Export(Ada, RTS_Short_float_model,
                  "rts_short_float_model");

end System.RTS.TGT.Short_Float_Attributes_Pkg;
