-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.tgt.storage_pools_pkg.spc,v $ 
-- $Revision: 1.6 $ $Date: 96/06/21 13:39:39 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

with System.Storage_Pools; 

package System.RTS.TGT.Storage_Pools_Pkg is

    pragma Suppress( Elaboration_Check );

    package Storage_Pools renames System.Storage_Pools; 

    -----------------------------------------------------------------------
    ------------------ Visible Functions ----------------------------------    
    -----------------------------------------------------------------------

     --TAGGED  function RTS_Default_Storage_Pool  
     --TAGGED      return Storage_Pools.Root_Storage_Pool'Class; 
    

     --TAGGED  function RTS_Storage_Pool_For_Sized_Heap ( 
     --TAGGED       Sized_Heap : in Address 
     --TAGGED  ) return Storage_Pools.Root_Storage_Pool'Class; 

     function RTS_Default_Storage_Size return Integer;
     pragma Export( Ada,
                    RTS_Default_Storage_Size,
                    External_Name => "rts_default_storage_size" );
     pragma Global( RTS_Default_Storage_Size );

end System.RTS.TGT.Storage_Pools_Pkg;
