-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.unsigned.spc,v $ 
-- $Revision: 1.7 $ $Date: 1996/10/30 15:51:27 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

package System.RTS.Unsigned is

    pragma Suppress( Elaboration_Check );
    pragma Preelaborate( System.RTS.Unsigned );

    type Unsigned_Integer is mod System.Max_Binary_Modulus;

-- Predefined operations available:
--	+,-,*,/,<,<=,=,>,>=,/=
-- Unsigned divide is not supported; it behaves as signed divide.

-- The following operators perform 32-bit wide logical shifts.
-- Only the 5 least significant bits of Count are used.
-- "Negative" counts do not reverse the shift direction.
-- Language "internal" is special and wired-in to the front end,

    function shl( Value, Count: Unsigned_Integer ) return Unsigned_Integer;

    function shr( Value, Count: Unsigned_Integer ) return Unsigned_Integer;

end System.RTS.Unsigned;
