-- ***************************************************************************
-- *                        Array_Tests.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Some very simple examples of arrays, single and mutliple
-- *    dimensions.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

procedure Array_Tests is

   Name  : array (0 .. 30) of Character;
   Track : array (0 .. 2) of Integer;
   DblA  : array (0 .. 2, 0 .. 9) of Integer;
   Init  : array (0 .. 2) of Integer := (0, 1, 2);

   type Name_Type is array (Integer range 0 .. 30) of Character;
   Another_Name : Name_Type;

   type DblA_1 is array (0 .. 2, 0 .. 9) of Integer;
   type DblA_2 is array (0 .. 9) of Integer;
   type DblA_3 is array (0 .. 2) of DblA_2;

   Array_1 : DblA_1;
   Array_2 : DblA_3;
begin

   Array_1(1, 1) := 0;
   Array_2(1)(1) := 0;

end Array_Tests;
