-- ***************************************************************************
-- *                         Access_Tests.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This example shows the use of access discriminants and takes
-- *    examples from section 3.5.2.3.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

procedure Access_Tests4 is

   type Element_Type is new Integer;

   type Element_Holder;
   type List_Ptr is access Element_Holder;

   type Element_Holder(Actual : access Element_Type) is limited
      record
         Next : List_Ptr := null;
      end record;

   type List is
      record
         Head : List_Ptr := null;
         Tail : List_Ptr := null;
      end record;

   A_Value : aliased Element_Type;

   List_Node : Element_Holder(A_Value'Access);

begin

   null;

end Access_Tests4;
