-- ***************************************************************************
-- *                       Simple_Tests.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This simple example shows how to declare object, constants
-- *    and new types.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

procedure Simple_Tests is

begin

   Simple_Objects:
      declare
	 Test_1 : Integer;
	 Test_2 : Integer := 1;
	 Test_3 : Integer := Test_2'Size;
	 Test_4 : Integer := Integer'Max(Test_2, Test_3);
      begin
	 null;
      end Simple_Objects;

   Constant_Objects:
      declare
	 Test_1 : constant := 1;
	 Test_2 : constant Integer := 1;
	 Test_3 : constant Integer := Test_2'Size;
	 Test_4 : constant Integer := Integer'Max(Test_2, Test_3);
      begin
	 null;
      end Constant_Objects;

   Declaring_Types:
      declare
	 type Transaction_Id is new Integer;

	 Current_Transaction : Transaction_Id;
      begin
	 null;
      end Declaring_Types;

end Simple_Tests;
