-- ***************************************************************************
-- *                       Ada_Store_Trading.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This is a simplified form of a package which exists in the
-- *    Ada_Store application. It is also the first example in section 4.2
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

package Ada_Store_Trading is

   type State is ( Trading, Not_Trading, Consolidating );

   procedure Start;
   procedure Stop;

   function Current_State return State;

   Invalid_Trading_Time : exception;

end Ada_Store_Trading;
