-- ***************************************************************************
-- *                         Bubble_Sort.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This is our main generic example, it shows the use of a
-- *    bubble sort. The procedure is provided with all the details for an
-- *    array to be sorted.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

generic
   type Index_Type is (<>);
   type Element_Type is private;
   type Element_Array is array (Index_Type range <>) 
      of Element_type;
   with function ">" (el1, el2 : Element_Type) return Boolean;
procedure Bubble_Sort(The_Array : in out Element_Array);
