-- ***************************************************************************
-- *                         Test6.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This creates a new type which uses multiple inheritance 
-- *    twice. 
-- * Inputs:  You will need to create a package Coloured as this is not done
-- *    in the text.
-- * Outputs: None.
-- ***************************************************************************

with Animal;
use  Animal;
with Animal.Dog;
with Domesticated;
with Coloured;
 
procedure Test6 is

   package Domesticated_Dog is new Domesticated(Dog.Instance);
   package Pet_Dog is new Coloured(Domesticated_Dog.Instance);

   A_Wild_Wolf   : Dog.Instance;
   My_Pet_Collie : Pet_Dog.Instance;
begin

   Domesticated_Dog.Set_Purpose("Herd Sheep and tear slippers");
   Pet_Dog.Set_Colour(Pet_Dog.Black & Pet_Dog.White);
end Test6;
