-- ***************************************************************************
-- *                         First_Task.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This is a very simple program to create an Ada task.
-- * Inputs:  None.
-- * Outputs: The task will print it's message, the body will also print it's 
-- *    message. The order of messages is implementation and operating
-- *    system specific.
-- ***************************************************************************

with Ada.Text_IO;

procedure First_Task is

   task X;
 
   task body X is
   begin
      loop
         Ada.Text_IO.Put_Line("task X here");
      end loop;
   end X;

begin
   loop
      Ada.Text_IO.Put_Line("First_Task got here");
   end loop;
end First_Task;
