-- ***************************************************************************
-- *                         Direct_Test.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Simple test of the standard library direct IO package.
-- * Inputs:  None.
-- * Outputs: This file does NOT compile.
-- ***************************************************************************

with Ada.Direct_IO;

procedure Direct_Test is

   type File_Header is
      record
         Magic_Number     : Special_Stamp;
         Number_Of_Records: Record_Number;
         First_Deleted	   : Record_Number;
      end record;

   type Row is
      record
         Key  : String(1 .. 80);
         Data : String(1 .. 255);
      end record;

   package Header_IO is new Direct_IO (File_Header); 

   package Row_IO    is new Direct_IO (Row);    
   
begin
   null;
end Direct_Test;
