-- ***************************************************************************
-- *                         Final_Test.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This uses the controlled type introduced in Final.ads and
-- *    demonstrates the use of the three subprograms defined.
-- * Inputs:  None.
-- * Outputs: See book text.
-- ***************************************************************************

with Final;

procedure Final_Test is

   type P_Example is access Final.Example;

   Ex_1 : Final.Example;
   Ex_2 : Final.Example;
   
   Ex_3 : P_Example;
begin 
   Ex_1 := Ex_2;

   Ex_3 := new Final.Example;

   Ex_3.all := Ex_2;

   declare 
      Ex_4 : Final.Example := Ex_2;
   begin
      Ex_4.Int_Data := 1;
   end ;
end Final_Test;
