-- ***************************************************************************
-- *                         IO_Test1.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Simple test of the library text IO packages.
-- * Inputs:  None.
-- * Outputs: Some boring text messages.
-- ***************************************************************************

with Ada.Text_IO; 
use  Ada.Text_IO;

procedure IO_Test1 is

   package My_Integer_IO is new Integer_IO(Integer);
   use My_Integer_IO;

   package My_Float_IO is new Float_IO(Float);
   use My_Float_IO;
begin
   Put_Line("Test Starts Here >");
   Put("Integer is ");
   Put(2); 
   New_Line;
   Put("Float is   ");
   Put(2.0);
   New_Line;
   Put_Line("Test Ends Here");
end IO_Test1;
