-- ***************************************************************************
-- *                         C_Test2.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Test the interface to C to print a message using a C 
-- *    function.
-- * Inputs:  None.
-- * Outputs: "hello world".
-- ***************************************************************************

with Interfaces.C.Strings;
procedure C_Test2 is

   procedure PutString(S : Interfaces.C.Strings.chars_ptr);

   pragma Import(C, PutString, "putstring");

   Pass_This : String := "hello world";
   C_Str     : Interfaces.C.Strings.chars_ptr;
begin

   C_Str := Interfaces.C.Strings.New_String(Pass_This);

   PutString(C_Str);

   Interfaces.C.Strings.Free(C_Str);

end C_Test2;
