--with Ada.Unchecked_Conversion;
--with Interfaces.C.Strings;
--with System;
with Win32.Commdlg;
--with Win32.Ctype;
--with Win32.Stdlib;
--with Win32.Strings;
--with Win32.Winbase;
with Win32.Windef;
with Win32.Wingdi;
--with Win32.Winmain;
--with Win32.Utils;
--with Win32.Winuser;
--with Windows.Data;
package body Windows.Routines is
--  use type System.Address;
--  use type Win32.Bool;
  use type Win32.Dword;
--  use type Win32.Int; 
--  use type Win32.Long;
--  use type Win32.Windef.Hwnd;

  Cc                 : aliased Win32.Commdlg.Choosecolor;

  Custom_Color_Array : Array(0 .. 15) of aliased Win32.Windef.Colorref;

   function Main_Windows
     (Window_Handle : Win32.Windef.Hwnd;
      Message       : Win32.Uint;
      Wparam        : Win32.Wparam ;
      Lparam        : Win32.Lparam) return Win32.Lresult is
   begin
     return
       0;
   end;

  function Main
     (Instance          : Win32.Windef.Hinstance;
      Previous_instance : Win32.Windef.Hinstance;
      Command_Line      : Win32.Pcstr;
      Show_Command      : Win32.Int ) return Win32.Uint is

     Bool_Result      : Win32.Bool;

  begin

    Cc.Lstructsize    := 
      Win32.Dword
        (Win32.Commdlg.Choosecolor'Size/8);
    
    Cc.Hwndowner      :=
      null;

    Cc.Hinstance      :=
      null;

    Cc.Rgbresult      :=
      Win32.Wingdi.Rgb
        (Bred   =>
          16#80#,
         Bgreen =>
          16#80#,
         Bblue  =>
          16#80#);

    Cc.Lpcustcolors   :=
      Custom_Color_Array(Custom_Color_Array'First)'Access;

    Cc.Flags          :=
      Win32.Dword
        (Win32.Commdlg.Cc_Rgbinit) or
      Win32.Dword
        (Win32.Commdlg.CC_Fullopen);

    Cc.Lcustdata      :=
      0;

    Cc.Lpfnhook       :=
      null;

    Cc.Lptemplatename :=
      null;

    Bool_Result :=
      Win32.Commdlg.Choosecolor_Func
        (Lpcc =>
          Cc'Access);
      
    return
      Win32.Uint
        (Bool_Result);


  end Main;

end Windows.Routines;
