-- Filename: endjoin.ads
--
-- This is the conversion of Petzold's Win 95
-- Chapter 4 program endjoin.  This file contains
-- the data structures needed for this program.
-- 
-- with Ada.Numerics;
with System;

with Win32;
with Win32.Wingdi;

package Endjoin is

   Client_Width  : Win32.Int;
   Client_Height : Win32.Int;

   type End_Join_Arr_Type is array (1..3) of integer;
   Ends : End_Join_Arr_Type := (Win32.Wingdi.Ps_Endcap_Round,
                                Win32.Wingdi.Ps_Endcap_Square,
                                Win32.Wingdi.Ps_Endcap_Flat);
   Join : End_Join_Arr_Type := (Win32.Wingdi.Ps_Join_Round,
                                Win32.Wingdi.Ps_Join_Bevel,
                                Win32.Wingdi.Ps_Join_Miter);

end Endjoin;
