with Win32.Windef;
with Win32.Wingdi;
with Win32.Utils;
with Win32.Winuser;
with Windows.Data;
package body Windows.Child_Routines is
  use type Win32.Bool;
  use type Win32.Int;
  use type Win32.Word;

   Device_Context_Handle    : aliased Win32.Windef.Hdc;

   Rectangle                : aliased Win32.Windef.Rect;

   False                    : constant Win32.Bool := 0;

   True                     : constant Win32.Bool := 1;

   Flip_Flop                : Win32.Bool := False;

   Brush_Handle             : Win32.Windef.Hbrush;

   Integer_Result           : Win32.Int;

   Bool_Result              : Win32.Bool;

   Long_Result              : Win32.Long;

   Word_Result              : Win32.Word;

   procedure Timer
     (Window_Handle : Win32.Windef.Hwnd;
      Message       : Win32.Uint;
      Timer_Id      : Win32.Uint ;
      Time          : Win32.Dword) is
 
  begin

     Bool_Result :=
       Win32.Winuser.Messagebeep
         (Utype =>
           0);
                   
     if Flip_Flop = True then

       Flip_Flop :=
         False;

     else

       Flip_Flop :=
         True;

     end if;

      Bool_Result :=
        Win32.Winuser.Getclientrect
          (Hwnd   =>
            Window_Handle,
           Lprect =>
            Rectangle'Access);
           
      Device_Context_Handle := 
        Win32.Winuser.Getdc
          (Hwnd =>
            Window_Handle);

      if Flip_Flop = True then

        Brush_Handle :=
          Win32.Wingdi.Createsolidbrush
            (Clrref =>
              Win32.Wingdi.RGB
                (Bred   =>
                  255,
                 Bgreen =>
                  0,
                 Bblue  =>
                  0)); 

      else

        Brush_Handle :=
          Win32.Wingdi.Createsolidbrush
            (Clrref =>
              Win32.Wingdi.RGB
                (Bred   =>
                  0,
                 Bgreen =>
                  0,
                 Bblue  =>
                  255)); 

      end if;
  
      Integer_Result :=
        Win32.Winuser.Fillrect
          (Hdc  =>
            Device_Context_Handle,
           Lprc =>
            Rectangle'Access,
           Hbr    =>
            Brush_Handle);
  
      Bool_Result :=
        Win32.Wingdi.Deleteobject
          (Hgdiobj => 
            Brush_Handle);

   end Timer;

end Windows.Child_Routines;
