-- $Source: /home/harp/1/proto/monoBANK/winnt/pcxops.ads,v $ 
-- $Revision: 1.4 $ $Date: 96/09/04 08:00:31 $ $Author: mg $ 
-- $Id: pcxops.ads 1.3 1995/02/08 18:31:21 mps Exp mps $
--
-- This package performs operations on PCX files.
--
with Win32;
with Win32.WinDef;

package PcxOps is

--
-- This procedure performs the first display as well as expansion of the 
-- compressed PCX image.
--
procedure Initial_Display(HINST        : Win32.WinDef.HINSTANCE;
                          HWND         : Win32.WinDef.HWND;
                          PCX_FILENAME : Win32.LPCSTR);

--
-- The next two procedures zoom in or out.  The RECT parameter of Zoom_In is
-- the new rectangle drawn with the mouse by the user, not the client window.
--
procedure Zoom_In(HWND : Win32.WinDef.HWND;
                  RECT : Win32.WinDef.RECT);
procedure Zoom_Out(HWND : Win32.WinDef.HWND);

--
-- This procedure is called when a resizing window operation takes place.  It is
-- also called by the two procedures Zoom_In & Zoom_Out.
--
procedure Display(HWND : Win32.WinDef.HWND);


-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS PROVIDED WITHOUT CHARGE
-- "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING
-- BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR
-- FITNESS FOR A PARTICULAR PURPOSE.  The user assumes the entire risk as to
-- the accuracy and the use of this file.  This file may be used, copied,
-- modified and distributed only by licensees of Microsoft Corporation's
-- WIN32 Software Development Kit in accordance with the terms of the 
-- licensee's End-User License Agreement for Microsoft Software for the
-- WIN32 Development Kit.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Portions (c) 1985-1994 Microsoft Corporation with permission.
-- Microsoft is a registered trademark and Windows and Windows NT are
-- trademarks of Microsoft Corporation.
--
-------------------------------------------------------------------------------

end PcxOps;
