-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.finalization.spc,v $
-- $Revision: 1.4 $ $Date: 96/10/14 15:54:16 $ $Author: akira $
--        Copyright (C) 1995 by Intermetrics, Inc.   

-- ARM 6.0;7.6

pragma ada_child;
package Ada.Finalization is
pragma Preelaborate(Finalization);

    type Controlled is abstract tagged private;

    procedure Initialize(Object : in out Controlled);

    procedure Adjust(Object : in out Controlled);
    procedure Finalize(Object : in out Controlled);

    type Limited_Controlled is abstract tagged limited private;

    procedure Initialize(Object : in out Limited_Controlled);

    procedure Finalize(Object : in out Limited_Controlled);

private

    type Controlled is abstract tagged null record; 
    pragma Export(Intrinsic, Controlled, "*E_Controlled");

    type Limited_Controlled is abstract tagged limited null record;
    pragma Export(Intrinsic, Limited_Controlled, "*E_Limited_Controlled");

end Ada.Finalization;
