-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.unchecked_conversion.ada,v $
-- $Revision: 1.2 $ $Date: 95/10/10 13:17:36 $ $Author: akira $
--        Copyright (C) 1995 by Intermetrics, Inc.   

-- ARM 5.0; 13.9

pragma ada_child;
generic
    type Source(<>) is limited private;
    type Target(<>) is limited private;

function Ada.Unchecked_Conversion(S : Source) return Target;
pragma Import(Intrinsic, Ada.Unchecked_Conversion, "*E_Unchecked_Conversion");
pragma Pure(Ada.Unchecked_Conversion);

--| EFFECTS
--|
--| This is a "dummy" procedure which has no corresponding body.
--| In practice, it turns into a no-op, since unchecked conversions
--| are only allowed between types which have compatible storage
--| layouts.

with Ada.Unchecked_Conversion;
generic function Unchecked_Conversion renames Ada.Unchecked_Conversion;

