-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_BorderLayout.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:31 $ $Author: stt $ 
with java.lang; use java.lang;
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
with java.awt.LayoutManager; use java.awt.LayoutManager;
with java.awt.Container; use java.awt.Container;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.BorderLayout is

    type BorderLayout_Obj is new Object with record
        LayoutManager : aliased LayoutManager_Obj;  -- implements LayoutManager
    end record;
    type BorderLayout_Ptr is access all BorderLayout_Obj'Class;

    function new_BorderLayout(Obj : BorderLayout_Ptr := null) return BorderLayout_Ptr;

    function new_BorderLayout(
        hgap : Integer;
        vgap : Integer;
        Obj : BorderLayout_Ptr := null)
      return BorderLayout_Ptr;

    procedure addLayoutComponent(Obj : access BorderLayout_Obj;
        name : String_Ptr;
        comp : Component_Ptr);

    procedure removeLayoutComponent(Obj : access BorderLayout_Obj;
        comp : Component_Ptr);

    function minimumLayoutSize(Obj : access BorderLayout_Obj;
        target : Container_Ptr)
      return Dimension_Ptr;

    function preferredLayoutSize(Obj : access BorderLayout_Obj;
        target : Container_Ptr)
      return Dimension_Ptr;

    procedure layoutContainer(Obj : access BorderLayout_Obj;
        target : Container_Ptr);

    function toString(Obj : access BorderLayout_Obj) return String_Ptr;

    pragma Import(Java, removeLayoutComponent);
    pragma Import(Java, layoutContainer);
    pragma Import(Java, preferredLayoutSize);
    pragma Import(Java, minimumLayoutSize);
    pragma Import(Java, toString);
    pragma Import(Java, addLayoutComponent);

    pragma Import(Java_Constructor, new_BorderLayout);

end java.awt.BorderLayout;
