-- $Source: /home/dsd/d/aa/monoBANK/AA/java_io_BufferedInputStream.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:27:35 $ $Author: vdelvecc $ 
with java.io.FilterInputStream; use java.io.FilterInputStream;
with java.io.InputStream; use java.io.InputStream;
package java.io.BufferedInputStream is

    type BufferedInputStream_Obj is new FilterInputStream_Obj with null record;
    type BufferedInputStream_Ptr is access all BufferedInputStream_Obj'Class;

    function new_BufferedInputStream(
        stdin : InputStream_Ptr;
        Obj : BufferedInputStream_Ptr := null)
      return BufferedInputStream_Ptr;

    function new_BufferedInputStream(
        stdin : InputStream_Ptr;
        size : Integer;
        Obj : BufferedInputStream_Ptr := null)
      return BufferedInputStream_Ptr;

    function read(Obj : access BufferedInputStream_Obj) return Integer;

    function read(Obj : access BufferedInputStream_Obj;
        b : String;
        off : Integer;
        len : Integer)
      return Integer;

    function skip(Obj : access BufferedInputStream_Obj;
        n : Long_Integer)
      return Long_Integer;

    function available(Obj : access BufferedInputStream_Obj) return Integer;

    procedure mark(Obj : access BufferedInputStream_Obj;
        readlimit : Integer);

    procedure reset(Obj : access BufferedInputStream_Obj);

    function markSupported(Obj : access BufferedInputStream_Obj) return Boolean;

    pragma Import(Java, reset);
    pragma Import(Java, skip);
    pragma Import(Java, mark);
    pragma Import(Java, available);
    pragma Import(Java, read);
    pragma Import(Java, markSupported);

    pragma Import(Java_Constructor, new_BufferedInputStream);

end java.io.BufferedInputStream;
