-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_CardLayout.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:37 $ $Author: stt $ 
with java.lang; use java.lang;
with java.awt.Component; use java.awt.Component;
with java.lang.String; use java.lang.String;
with java.awt.LayoutManager; use java.awt.LayoutManager;
with java.awt.Container; use java.awt.Container;
with java.awt.Dimension; use java.awt.Dimension;
package java.awt.CardLayout is

    type CardLayout_Obj is new Object with record
        LayoutManager : aliased LayoutManager_Obj;  -- implements LayoutManager
    end record;
    type CardLayout_Ptr is access all CardLayout_Obj'Class;

    function new_CardLayout(Obj : CardLayout_Ptr := null) return CardLayout_Ptr;

    function new_CardLayout(
        hgap : Integer;
        vgap : Integer;
        Obj : CardLayout_Ptr := null)
      return CardLayout_Ptr;

    procedure addLayoutComponent(Obj : access CardLayout_Obj;
        name : String_Ptr;
        comp : Component_Ptr);

    procedure removeLayoutComponent(Obj : access CardLayout_Obj;
        comp : Component_Ptr);

    function preferredLayoutSize(Obj : access CardLayout_Obj;
        parent : Container_Ptr)
      return Dimension_Ptr;

    function minimumLayoutSize(Obj : access CardLayout_Obj;
        parent : Container_Ptr)
      return Dimension_Ptr;

    procedure layoutContainer(Obj : access CardLayout_Obj;
        parent : Container_Ptr);

    procedure first(Obj : access CardLayout_Obj;
        parent : Container_Ptr);

    procedure next(Obj : access CardLayout_Obj;
        parent : Container_Ptr);

    procedure previous(Obj : access CardLayout_Obj;
        parent : Container_Ptr);

    procedure last(Obj : access CardLayout_Obj;
        parent : Container_Ptr);

    procedure show(Obj : access CardLayout_Obj;
        parent : Container_Ptr;
        name : String_Ptr);

    function toString(Obj : access CardLayout_Obj) return String_Ptr;

    pragma Import(Java, removeLayoutComponent);
    pragma Import(Java, layoutContainer);
    pragma Import(Java, show);
    pragma Import(Java, last);
    pragma Import(Java, preferredLayoutSize);
    pragma Import(Java, previous);
    pragma Import(Java, minimumLayoutSize);
    pragma Import(Java, first);
    pragma Import(Java, toString);
    pragma Import(Java, addLayoutComponent);
    pragma Import(Java, next);

    pragma Import(Java_Constructor, new_CardLayout);

end java.awt.CardLayout;
