-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Class.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:39 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.lang.ClassLoader; use java.lang.ClassLoader;
with java.lang; use java.lang;
package java.lang.Class is

    type Class_Obj is tagged limited null record;
    type Class_Ptr is access all Class_Obj;

    function forName(
        P1 : String_Ptr)
      return Class_Ptr;

    function newInstance(Obj : access Class_Obj) return Object_Ptr;

    function getName(Obj : access Class_Obj) return String_Ptr;

    function getSuperclass(Obj : access Class_Obj) return Class_Ptr;

    type Class_Array is array(Positive range <>) of Class_Ptr;  

    function getInterfaces(Obj : access Class_Obj) return Class_Array;

    function getClassLoader(Obj : access Class_Obj) return ClassLoader_Ptr;

    function isInterface(Obj : access Class_Obj) return Boolean;

    function toString(Obj : access Class_Obj) return String_Ptr;

    pragma Import(Java, newInstance);
    pragma Import(Java, getSuperclass);
    pragma Import(Java, getName);
    pragma Import(Java, isInterface);
    pragma Import(Java, forName);
    pragma Import(Java, getInterfaces);
    pragma Import(Java, getClassLoader);
    pragma Import(Java, toString);


end java.lang.Class;
