-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_FileDialog.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:24:55 $ $Author: vdelvecc $ 
with java.awt.Dialog; use java.awt.Dialog;
with java.lang.String; use java.lang.String;
with java.io.FilenameFilter; use java.io.FilenameFilter;
with java.awt.Frame; use java.awt.Frame;
package java.awt.FileDialog is

    type FileDialog_Obj is new Dialog_Obj with null record;
    type FileDialog_Ptr is access all FileDialog_Obj'Class;

    LOAD : constant Integer;
    pragma Import(Java, LOAD);

    SAVE : constant Integer;
    pragma Import(Java, SAVE);

    function new_FileDialog(
        parent : Frame_Ptr;
        title : String_Ptr;
        Obj : FileDialog_Ptr := null)
      return FileDialog_Ptr;

    function new_FileDialog(
        parent : Frame_Ptr;
        title : String_Ptr;
        mode : Integer;
        Obj : FileDialog_Ptr := null)
      return FileDialog_Ptr;

    procedure addNotify(Obj : access FileDialog_Obj);

    function getMode(Obj : access FileDialog_Obj) return Integer;

    function getDirectory(Obj : access FileDialog_Obj) return String_Ptr;

    procedure setDirectory(Obj : access FileDialog_Obj;
        dir : String_Ptr);

    function getFile(Obj : access FileDialog_Obj) return String_Ptr;

    procedure setFile(Obj : access FileDialog_Obj;
        file : String_Ptr);

    function getFilenameFilter(Obj : access FileDialog_Obj) return FilenameFilter_Ptr;

    procedure setFilenameFilter(Obj : access FileDialog_Obj;
        filter : FilenameFilter_Ptr);

    pragma Import(Java, setDirectory);
    pragma Import(Java, addNotify);
    pragma Import(Java, setFilenameFilter);
    pragma Import(Java, getMode);
    pragma Import(Java, setFile);
    pragma Import(Java, getFilenameFilter);
    pragma Import(Java, getFile);
    pragma Import(Java, getDirectory);

    pragma Import(Java_Constructor, new_FileDialog);

end java.awt.FileDialog;
