-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Font.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:24:57 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
package java.awt.Font is

    type Font_Obj is new Object with null record;
    type Font_Ptr is access all Font_Obj'Class;

    PLAIN : constant Integer;
    pragma Import(Java, PLAIN);

    BOLD : constant Integer;
    pragma Import(Java, BOLD);

    ITALIC : constant Integer;
    pragma Import(Java, ITALIC);

    function new_Font(
        name : String_Ptr;
        style : Integer;
        size : Integer;
        Obj : Font_Ptr := null)
      return Font_Ptr;

    function getFamily(Obj : access Font_Obj) return String_Ptr;

    function getName(Obj : access Font_Obj) return String_Ptr;

    function getStyle(Obj : access Font_Obj) return Integer;

    function getSize(Obj : access Font_Obj) return Integer;

    function isPlain(Obj : access Font_Obj) return Boolean;

    function isBold(Obj : access Font_Obj) return Boolean;

    function isItalic(Obj : access Font_Obj) return Boolean;

    function getFont(
        nm : String_Ptr)
      return Font_Ptr;

    function getFont(
        nm : String_Ptr;
        font : Font_Ptr)
      return Font_Ptr;

    function hashCode(Obj : access Font_Obj) return Integer;

    function "="(Left, Right : Font_Obj) return Boolean;
    pragma Import(Ada, "=", "equals");

    function toString(Obj : access Font_Obj) return String_Ptr;

    pragma Import(Java, getName);
    pragma Import(Java, getSize);
    pragma Import(Java, getFont);
    pragma Import(Java, isItalic);
    pragma Import(Java, getStyle);
    pragma Import(Java, getFamily);
    pragma Import(Java, hashCode);
    pragma Import(Java, isPlain);
    pragma Import(Java, isBold);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Font);

end java.awt.Font;
