-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_Frame.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:03:49 $ $Author: stt $ 
with java.awt.Window; use java.awt.Window;
with java.lang.String; use java.lang.String;
with java.awt.MenuComponent; use java.awt.MenuComponent;
with java.awt.MenuBar; use java.awt.MenuBar;
with java.awt.MenuContainer; use java.awt.MenuContainer;
with java.awt.Image; use java.awt.Image;
package java.awt.Frame is

    type Frame_Obj is new Window_Obj with record
        MenuContainer : aliased MenuContainer_Obj;  -- implements MenuContainer
    end record;
    type Frame_Ptr is access all Frame_Obj'Class;

    DEFAULT_CURSOR : constant Integer;
    pragma Import(Java, DEFAULT_CURSOR);

    CROSSHAIR_CURSOR : constant Integer;
    pragma Import(Java, CROSSHAIR_CURSOR);

    TEXT_CURSOR : constant Integer;
    pragma Import(Java, TEXT_CURSOR);

    WAIT_CURSOR : constant Integer;
    pragma Import(Java, WAIT_CURSOR);

    SW_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, SW_RESIZE_CURSOR);

    SE_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, SE_RESIZE_CURSOR);

    NW_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, NW_RESIZE_CURSOR);

    NE_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, NE_RESIZE_CURSOR);

    N_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, N_RESIZE_CURSOR);

    S_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, S_RESIZE_CURSOR);

    W_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, W_RESIZE_CURSOR);

    E_RESIZE_CURSOR : constant Integer;
    pragma Import(Java, E_RESIZE_CURSOR);

    HAND_CURSOR : constant Integer;
    pragma Import(Java, HAND_CURSOR);

    MOVE_CURSOR : constant Integer;
    pragma Import(Java, MOVE_CURSOR);

    function new_Frame(Obj : Frame_Ptr := null) return Frame_Ptr;

    function new_Frame(
        title : String_Ptr;
        Obj : Frame_Ptr := null)
      return Frame_Ptr;

    procedure addNotify(Obj : access Frame_Obj);

    function getTitle(Obj : access Frame_Obj) return String_Ptr;

    procedure setTitle(Obj : access Frame_Obj;
        title : String_Ptr);

    function getIconImage(Obj : access Frame_Obj) return Image_Ptr;

    procedure setIconImage(Obj : access Frame_Obj;
        image : Image_Ptr);

    function getMenuBar(Obj : access Frame_Obj) return MenuBar_Ptr;

    procedure setMenuBar(Obj : access Frame_Obj;
        mb : MenuBar_Ptr);

    procedure remove(Obj : access Frame_Obj;
        m : MenuComponent_Ptr);

    procedure dispose(Obj : access Frame_Obj);

    function isResizable(Obj : access Frame_Obj) return Boolean;

    procedure setResizable(Obj : access Frame_Obj;
        resizable : Boolean);

    procedure setCursor(Obj : access Frame_Obj;
        cursorType : Integer);

    function getCursorType(Obj : access Frame_Obj) return Integer;

    -- This is an operation from the "Window" class, here to
    -- avoid circularity
    function new_Window(
        parent : Frame_Ptr;
        Obj : Window_Ptr := null)
      return Window_Ptr;

    pragma Import(Java, isResizable);
    pragma Import(Java, getMenuBar);
    pragma Import(Java, setResizable);
    pragma Import(Java, getIconImage);
    pragma Import(Java, addNotify);
    pragma Import(Java, setTitle);
    pragma Import(Java, remove);
    pragma Import(Java, setCursor);
    pragma Import(Java, getTitle);
    pragma Import(Java, setMenuBar);
    pragma Import(Java, setIconImage);
    pragma Import(Java, dispose);
    pragma Import(Java, getCursorType);

    pragma Import(Java_Constructor, new_Frame);

    pragma Import(Java_Constructor, new_Window, "java/awt/Window.<init>");

end java.awt.Frame;
