-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_Hashtable.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:14:30 $ $Author: stt $ 
with java.util.Dictionary; use java.util.Dictionary;
with java.lang.String; use java.lang.String;
with java.util.Enumeration; use java.util.Enumeration;
with java.lang.Cloneable; use java.lang.Cloneable;
with java.lang; use java.lang;
package java.util.Hashtable is

    type Hashtable_Obj is new Dictionary_Obj with record
        Cloneable : aliased Cloneable_Obj;  -- implements Cloneable
    end record;
    type Hashtable_Ptr is access all Hashtable_Obj'Class;

    function new_Hashtable(
        initialCapacity : Integer;
        loadFactor : Float;
        Obj : Hashtable_Ptr := null)
      return Hashtable_Ptr;

    function new_Hashtable(
        initialCapacity : Integer;
        Obj : Hashtable_Ptr := null)
      return Hashtable_Ptr;

    function new_Hashtable(Obj : Hashtable_Ptr := null) return Hashtable_Ptr;

    function size(Obj : access Hashtable_Obj) return Integer;

    function isEmpty(Obj : access Hashtable_Obj) return Boolean;

    function keys(Obj : access Hashtable_Obj) return Enumeration_Ptr;

    function elements(Obj : access Hashtable_Obj) return Enumeration_Ptr;

    function contains(Obj : access Hashtable_Obj;
        value : Object_Ptr)
      return Boolean;

    function containsKey(Obj : access Hashtable_Obj;
        key : Object_Ptr)
      return Boolean;

    function get(Obj : access Hashtable_Obj;
        key : Object_Ptr)
      return Object_Ptr;

    function put(Obj : access Hashtable_Obj;
        key : Object_Ptr;
        value : Object_Ptr)
      return Object_Ptr;

    function remove(Obj : access Hashtable_Obj;
        key : Object_Ptr)
      return Object_Ptr;

    procedure clear(Obj : access Hashtable_Obj);

    function clone(Obj : access Hashtable_Obj) return Object_Ptr;

    function toString(Obj : access Hashtable_Obj) return String_Ptr;

    pragma Import(Java, contains);
    pragma Import(Java, containsKey);
    pragma Import(Java, clone);
    pragma Import(Java, put);
    pragma Import(Java, elements);
    pragma Import(Java, remove);
    pragma Import(Java, size);
    pragma Import(Java, get);
    pragma Import(Java, clear);
    pragma Import(Java, keys);
    pragma Import(Java, isEmpty);
    pragma Import(Java, toString);

    pragma Import(Java_Constructor, new_Hashtable);

end java.util.Hashtable;
