-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_Math.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:28:48 $ $Author: vdelvecc $ 
package java.lang.Math is

    E : constant Long_Float;
    pragma Import(Java, E);

    PI : constant Long_Float;
    pragma Import(Java, PI);

    function sin(
        P1 : Long_Float)
      return Long_Float;

    function cos(
        P1 : Long_Float)
      return Long_Float;

    function tan(
        P1 : Long_Float)
      return Long_Float;

    function asin(
        P1 : Long_Float)
      return Long_Float;

    function acos(
        P1 : Long_Float)
      return Long_Float;

    function atan(
        P1 : Long_Float)
      return Long_Float;

    function exp(
        P1 : Long_Float)
      return Long_Float;

    function log(
        P1 : Long_Float)
      return Long_Float;

    function sqrt(
        P1 : Long_Float)
      return Long_Float;

    function IEEEremainder(
        P1 : Long_Float;
        P2 : Long_Float)
      return Long_Float;

    function ceil(
        P1 : Long_Float)
      return Long_Float;

    function floor(
        P1 : Long_Float)
      return Long_Float;

    function rint(
        P1 : Long_Float)
      return Long_Float;

    function atan2(
        P1 : Long_Float;
        P2 : Long_Float)
      return Long_Float;

    function pow(
        P1 : Long_Float;
        P2 : Long_Float)
      return Long_Float;

    function round(
        a : Float)
      return Integer;

    function round(
        a : Long_Float)
      return Long_Integer;

    function random return Long_Float;

    function abs_op(
        a : Integer)
      return Integer;

    function abs_op(
        a : Long_Integer)
      return Long_Integer;

    function abs_op(
        a : Float)
      return Float;

    function abs_op(
        a : Long_Float)
      return Long_Float;

    function max(
        a : Integer;
        b : Integer)
      return Integer;

    function max(
        a : Long_Integer;
        P2 : Long_Integer)
      return Long_Integer;

    function max(
        a : Float;
        b : Float)
      return Float;

    function max(
        a : Long_Float;
        P2 : Long_Float)
      return Long_Float;

    function min(
        a : Integer;
        b : Integer)
      return Integer;

    function min(
        a : Long_Integer;
        P2 : Long_Integer)
      return Long_Integer;

    function min(
        a : Float;
        b : Float)
      return Float;

    function min(
        a : Long_Float;
        P2 : Long_Float)
      return Long_Float;

    pragma Import(Java, sin);
    pragma Import(Java, asin);
    pragma Import(Java, round);
    pragma Import(Java, pow);
    pragma Import(Java, rint);
    pragma Import(Java, abs_op, "abs");
    pragma Import(Java, random);
    pragma Import(Java, atan2);
    pragma Import(Java, cos);
    pragma Import(Java, acos);
    pragma Import(Java, ceil);
    pragma Import(Java, sqrt);
    pragma Import(Java, max);
    pragma Import(Java, floor);
    pragma Import(Java, exp);
    pragma Import(Java, min);
    pragma Import(Java, log);
    pragma Import(Java, IEEEremainder);
    pragma Import(Java, tan);
    pragma Import(Java, atan);


end java.lang.Math;
