-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_MemoryImageSource.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:26:36 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.image;
    use java.awt.image.ColorModel;
    use java.awt.image.ImageProducer;
    use java.awt.image.ImageConsumer;
with java.util.Hashtable; use java.util.Hashtable;
package java.awt.image.MemoryImageSource is

    type MemoryImageSource_Obj is new Object with record
        ImageProducer : aliased ImageProducer_Obj;  -- implements ImageProducer
    end record;
    type MemoryImageSource_Ptr is access all MemoryImageSource_Obj'Class;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        cm : ColorModel_Ptr;
        pix : Pixel_Byte_Array;
        off : Integer;
        scan : Integer;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        cm : ColorModel_Ptr;
        pix : Pixel_Byte_Array;
        off : Integer;
        scan : Integer;
        props : Hashtable_Ptr;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        cm : ColorModel_Ptr;
        pix : Pixel_Integer_Array;
        off : Integer;
        scan : Integer;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        cm : ColorModel_Ptr;
        pix : Pixel_Integer_Array;
        off : Integer;
        scan : Integer;
        props : Hashtable_Ptr;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        pix : Pixel_Integer_Array;
        off : Integer;
        scan : Integer;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    function new_MemoryImageSource(
        w : Integer;
        h : Integer;
        pix : Pixel_Integer_Array;
        off : Integer;
        scan : Integer;
        props : Hashtable_Ptr;
        Obj : MemoryImageSource_Ptr := null)
      return MemoryImageSource_Ptr;

    procedure addConsumer(Obj : access MemoryImageSource_Obj;
        ic : ImageConsumer_Ptr);

    function isConsumer(Obj : access MemoryImageSource_Obj;
        ic : ImageConsumer_Ptr)
      return Boolean;

    procedure removeConsumer(Obj : access MemoryImageSource_Obj;
        ic : ImageConsumer_Ptr);

    procedure startProduction(Obj : access MemoryImageSource_Obj;
        ic : ImageConsumer_Ptr);

    procedure requestTopDownLeftRightResend(Obj : access MemoryImageSource_Obj;
        ic : ImageConsumer_Ptr);

    pragma Import(Java, isConsumer);
    pragma Import(Java, addConsumer);
    pragma Import(Java, startProduction);
    pragma Import(Java, removeConsumer);
    pragma Import(Java, requestTopDownLeftRightResend);

    pragma Import(Java_Constructor, new_MemoryImageSource);

end java.awt.image.MemoryImageSource;
