-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_MenuContainer.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:25:15 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.awt.Font; use java.awt.Font;
with java.awt.MenuComponent; use java.awt.MenuComponent;
with java.awt.Event; use java.awt.Event;
package java.awt.MenuContainer is

    -- NOTE: MenuContainer is an "interface" type

    type MenuContainer_Obj is new Object with null record;
    pragma Convention(Java_Interface, MenuContainer_Obj);

    type MenuContainer_Ptr is access all MenuContainer_Obj'Class;

    function getFont(Obj : access MenuContainer_Obj) return Font_Ptr;

    function postEvent(Obj : access MenuContainer_Obj;
        P1 : Event_Ptr)
      return Boolean;

    procedure remove(Obj : access MenuContainer_Obj;
        P1 : MenuComponent_Ptr);

    -- This is an operation from the MenuComponent class;
    -- it is here to avoid circularity

    function getParent(Obj : access MenuComponent_Obj'Class) 
      return MenuContainer_Ptr;

    pragma Import(Java, getFont);
    pragma Import(Java, remove);
    pragma Import(Java, postEvent);

    pragma Import(Java, getParent, "java/awt/MenuComponent.getParent");

end java.awt.MenuContainer;
