-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_Random.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:14:36 $ $Author: stt $ 
with java.lang; use java.lang;
package java.util.Random is

    type Random_Obj is new Object with null record;
    type Random_Ptr is access all Random_Obj'Class;

    function new_Random(Obj : Random_Ptr := null) return Random_Ptr;

    function new_Random(
        seed : Long_Integer;
        Obj : Random_Ptr := null)
      return Random_Ptr;

    procedure setSeed(Obj : access Random_Obj;
        seed : Long_Integer);

    function nextInt(Obj : access Random_Obj) return Integer;

    function nextLong(Obj : access Random_Obj) return Long_Integer;

    function nextFloat(Obj : access Random_Obj) return Float;

    function nextDouble(Obj : access Random_Obj) return Long_Float;

    function nextGaussian(Obj : access Random_Obj) return Long_Float;

    pragma Import(Java, nextFloat);
    pragma Import(Java, setSeed);
    pragma Import(Java, nextGaussian);
    pragma Import(Java, nextLong);
    pragma Import(Java, nextInt);
    pragma Import(Java, nextDouble);

    pragma Import(Java_Constructor, new_Random);

end java.util.Random;
