-- $Source: /home/dsd/d/aa/monoBANK/AA/java_awt_image_RGBImageFilter.ada,v $ 
-- $Revision: 1.2 $ $Date: 96/10/31 16:09:13 $ $Author: stt $ 
with java.awt.image;
    use java.awt.image.ColorModel;
    use java.awt.image.ImageConsumer; -- for Pixel_*_Array
with java.awt.image.ImageFilter; use java.awt.image.ImageFilter;
with java.awt.image.IndexColorModel; use java.awt.image.IndexColorModel;
package java.awt.image.RGBImageFilter is

    type RGBImageFilter_Obj is abstract new ImageFilter_Obj with null record;
    type RGBImageFilter_Ptr is access all RGBImageFilter_Obj'Class;

    procedure setColorModel(Obj : access RGBImageFilter_Obj;
        model : ColorModel_Ptr);

    procedure substituteColorModel(Obj : access RGBImageFilter_Obj;
        oldcm : ColorModel_Ptr;
        newcm : ColorModel_Ptr);

    function filterIndexColorModel(Obj : access RGBImageFilter_Obj;
        icm : IndexColorModel_Ptr)
      return IndexColorModel_Ptr;

    procedure filterRGBPixels(Obj : access RGBImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        pixels : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer);

    procedure setPixels(Obj : access RGBImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Byte_Array;
        off : Integer;
        scansize : Integer);

    procedure setPixels(Obj : access RGBImageFilter_Obj;
        x : Integer;
        y : Integer;
        w : Integer;
        h : Integer;
        model : ColorModel_Ptr;
        pixels : Pixel_Integer_Array;
        off : Integer;
        scansize : Integer);

    function filterRGB(Obj : access RGBImageFilter_Obj;
        P1 : Integer;
        P2 : Integer;
        P3 : Integer)
      return Integer is abstract;


    pragma Import(Java, setColorModel);
    pragma Import(Java, setPixels);
    pragma Import(Java, filterRGBPixels);
    pragma Import(Java, filterIndexColorModel);
    pragma Import(Java, substituteColorModel);
    pragma Import(Java, filterRGB);

end java.awt.image.RGBImageFilter;
