-- $Source: /home/dsd/d/aa/monoBANK/AA/java_util_StringTokenizer.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:31:48 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
with java.util.Enumeration; use java.util.Enumeration;
package java.util.StringTokenizer is

    type StringTokenizer_Obj is new Object with record
        Enumeration : aliased Enumeration_Obj;  -- implements Enumeration
    end record;
    type StringTokenizer_Ptr is access all StringTokenizer_Obj'Class;

    function new_StringTokenizer(
        str : String_Ptr;
        delim : String_Ptr;
        returnTokens : Boolean;
        Obj : StringTokenizer_Ptr := null)
      return StringTokenizer_Ptr;

    function new_StringTokenizer(
        str : String_Ptr;
        delim : String_Ptr;
        Obj : StringTokenizer_Ptr := null)
      return StringTokenizer_Ptr;

    function new_StringTokenizer(
        str : String_Ptr;
        Obj : StringTokenizer_Ptr := null)
      return StringTokenizer_Ptr;

    function hasMoreTokens(Obj : access StringTokenizer_Obj) return Boolean;

    function nextToken(Obj : access StringTokenizer_Obj) return String_Ptr;

    function nextToken(Obj : access StringTokenizer_Obj;
        delim : String_Ptr)
      return String_Ptr;

    function hasMoreElements(Obj : access StringTokenizer_Obj) return Boolean;

    function nextElement(Obj : access StringTokenizer_Obj) return Object_Ptr;

    function countTokens(Obj : access StringTokenizer_Obj) return Integer;

    pragma Import(Java, hasMoreElements);
    pragma Import(Java, hasMoreTokens);
    pragma Import(Java, nextElement);
    pragma Import(Java, nextToken);
    pragma Import(Java, countTokens);

    pragma Import(Java_Constructor, new_StringTokenizer);

end java.util.StringTokenizer;
