-- $Source: /home/dsd/d/aa/monoBANK/AA/j_system.rts.unsigned.spc,v $ 
-- $Revision: 1.1 $ $Date: 96/04/10 13:55:06 $ $Author: maclaren $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

package System.RTS.Unsigned is

    pragma Suppress( Elaboration_Check );

    type Unsigned_Integer is mod 2**32;

-- Predefined operations available:
--	+,-,*,/,<,<=,=,>,>=,/=
-- Unsigned divide is not supported; it behaves as signed divide.

-- The following operators perform 32-bit wide logical shifts.
-- Only the 5 least significant bits of Count are used.
-- "Negative" counts do not reverse the shift direction.
-- Language "internal" is special and wired-in to the front end,

    function shl( Value, Count: Unsigned_Integer ) return Unsigned_Integer;

    function shr( Value, Count: Unsigned_Integer ) return Unsigned_Integer;

end System.RTS.Unsigned;
