-- $Source: /home/dsd/d/aa/monoBANK/AA/java_lang_System.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:29:00 $ $Author: vdelvecc $ 
with java.lang.String; use java.lang.String;
with java.lang.SecurityManager; use java.lang.SecurityManager;
with java.io.InputStream; use java.io.InputStream;
with java.util.Properties; use java.util.Properties;
with java.io.PrintStream; use java.io.PrintStream;
with java.lang; use java.lang;
package java.lang.System is

    stdin : InputStream_Ptr;
    pragma Import(Java, stdin, "in");

    stdout : PrintStream_Ptr;
    pragma Import(Java, stdout, "out");

    stderr : PrintStream_Ptr;
    pragma Import(Java, stderr, "err");

    procedure setSecurityManager(
        s : SecurityManager_Ptr);

    function getSecurityManager return SecurityManager_Ptr;

    function currentTimeMillis return Long_Integer;

    procedure arraycopy(
        P1 : Object_Ptr;
        P2 : Integer;
        P3 : Object_Ptr;
        P4 : Integer;
        P5 : Integer);

    function getProperties return Properties_Ptr;

    procedure setProperties(
        props : Properties_Ptr);

    function getProperty(
        key : String_Ptr)
      return String_Ptr;

    function getProperty(
        key : String_Ptr;
        def : String_Ptr)
      return String_Ptr;

    function getenv(
        name : String_Ptr)
      return String_Ptr;

    procedure exit_op(
        status : Integer);

    procedure gc;

    procedure runFinalization;

    procedure load(
        filename : String_Ptr);

    procedure loadLibrary(
        libname : String_Ptr);

    pragma Import(Java, currentTimeMillis);
    pragma Import(Java, getProperty);
    pragma Import(Java, gc);
    pragma Import(Java, getProperties);
    pragma Import(Java, getSecurityManager);
    pragma Import(Java, setSecurityManager);
    pragma Import(Java, load);
    pragma Import(Java, exit_op, "exit");
    pragma Import(Java, runFinalization);
    pragma Import(Java, getenv);
    pragma Import(Java, arraycopy);
    pragma Import(Java, setProperties);
    pragma Import(Java, loadLibrary);


end java.lang.System;
