-- $Source: /home/dsd/d/aa/monoBANK/AA/java_net_URLConnection.ada,v $ 
-- $Revision: 1.1 $ $Date: 96/08/26 17:31:02 $ $Author: vdelvecc $ 
with java.lang; use java.lang;
with java.lang.String; use java.lang.String;
-- with java.net.ContentHandlerFactory; use java.net.ContentHandlerFactory;
with java.io.OutputStream; use java.io.OutputStream;
with java.io.InputStream; use java.io.InputStream;
with java.net.URL; use java.net.URL;
package java.net.URLConnection is

    type URLConnection_Obj is abstract new Object with null record;
    type URLConnection_Ptr is access all URLConnection_Obj'Class;

    procedure connect(Obj : access URLConnection_Obj) is abstract;

    function getURL(Obj : access URLConnection_Obj) return URL_Ptr;

    function getContentLength(Obj : access URLConnection_Obj) return Integer;

    function getContentType(Obj : access URLConnection_Obj) return String_Ptr;

    function getContentEncoding(Obj : access URLConnection_Obj) return String_Ptr;

    function getExpiration(Obj : access URLConnection_Obj) return Long_Integer;

    function getDate(Obj : access URLConnection_Obj) return Long_Integer;

    function getLastModified(Obj : access URLConnection_Obj) return Long_Integer;

    function getHeaderField(Obj : access URLConnection_Obj;
        name : String_Ptr)
      return String_Ptr;

    function getHeaderFieldInt(Obj : access URLConnection_Obj;
        name : String_Ptr;
        Default : Integer)
      return Integer;

    function getHeaderFieldDate(Obj : access URLConnection_Obj;
        name : String_Ptr;
        Default : Long_Integer)
      return Long_Integer;

    function getHeaderFieldKey(Obj : access URLConnection_Obj;
        n : Integer)
      return String_Ptr;

    function getHeaderField(Obj : access URLConnection_Obj;
        n : Integer)
      return String_Ptr;

    function getContent(Obj : access URLConnection_Obj) return Object_Ptr;

    function getInputStream(Obj : access URLConnection_Obj) return InputStream_Ptr;

    function getOutputStream(Obj : access URLConnection_Obj) return OutputStream_Ptr;

    function toString(Obj : access URLConnection_Obj) return String_Ptr;

    procedure setDoInput(Obj : access URLConnection_Obj;
        doinput : Boolean);

    function getDoInput(Obj : access URLConnection_Obj) return Boolean;

    procedure setDoOutput(Obj : access URLConnection_Obj;
        dooutput : Boolean);

    function getDoOutput(Obj : access URLConnection_Obj) return Boolean;

    procedure setAllowUserInteraction(Obj : access URLConnection_Obj;
        allowuserinteraction : Boolean);

    function getAllowUserInteraction(Obj : access URLConnection_Obj) return Boolean;

    procedure setDefaultAllowUserInteraction(
        defaultallowuserinteraction : Boolean);

    function getDefaultAllowUserInteraction return Boolean;

    procedure setUseCaches(Obj : access URLConnection_Obj;
        usecaches : Boolean);

    function getUseCaches(Obj : access URLConnection_Obj) return Boolean;

    procedure setIfModifiedSince(Obj : access URLConnection_Obj;
        ifmodifiedsince : Long_Integer);

    function getIfModifiedSince(Obj : access URLConnection_Obj) return Long_Integer;

    function getDefaultUseCaches(Obj : access URLConnection_Obj) return Boolean;

    procedure setDefaultUseCaches(Obj : access URLConnection_Obj;
        defaultusecaches : Boolean);

    procedure setRequestProperty(Obj : access URLConnection_Obj;
        key : String_Ptr;
        value : String_Ptr);

    function getRequestProperty(Obj : access URLConnection_Obj;
        key : String_Ptr)
      return String_Ptr;

    procedure setDefaultRequestProperty(
        key : String_Ptr;
        value : String_Ptr);

    function getDefaultRequestProperty(
        key : String_Ptr)
      return String_Ptr;

    -- This is really a URL method
    function openConnection(Obj : access URL_Obj) return URLConnection_Ptr;
    pragma Import(Java, openConnection, "java/net/URL.openConnection");

    pragma Import(Java, getDefaultRequestProperty);
    pragma Import(Java, setAllowUserInteraction);
    pragma Import(Java, getAllowUserInteraction);
    pragma Import(Java, getHeaderFieldDate);
    pragma Import(Java, setUseCaches);
    pragma Import(Java, getDoInput);
    pragma Import(Java, getURL);
    pragma Import(Java, getContentLength);
    pragma Import(Java, getDefaultAllowUserInteraction);
    pragma Import(Java, getContentEncoding);
    pragma Import(Java, getExpiration);
    pragma Import(Java, getIfModifiedSince);
    pragma Import(Java, getLastModified);
    pragma Import(Java, setDoOutput);
    pragma Import(Java, setIfModifiedSince);
    pragma Import(Java, getDate);
    pragma Import(Java, getContent);
    pragma Import(Java, setDoInput);
    pragma Import(Java, connect);
    pragma Import(Java, getRequestProperty);
    pragma Import(Java, getDefaultUseCaches);
    pragma Import(Java, setRequestProperty);
    pragma Import(Java, getOutputStream);
    pragma Import(Java, getContentType);
    pragma Import(Java, getDoOutput);
    pragma Import(Java, getUseCaches);
    pragma Import(Java, getInputStream);
    pragma Import(Java, setDefaultUseCaches);
    pragma Import(Java, getHeaderField);
    pragma Import(Java, toString);
    pragma Import(Java, setDefaultRequestProperty);
    pragma Import(Java, setDefaultAllowUserInteraction);
    pragma Import(Java, getHeaderFieldKey);
    pragma Import(Java, getHeaderFieldInt);


end java.net.URLConnection;
