-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.decimal_x86.spc,v $ 
-- $Revision: 1.3 $ $Date: 95/11/10 16:09:02 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.

pragma ada_child;
package Ada.Decimal is
    pragma Pure (Decimal);
    pragma Suppress( Elaboration_Check );

    Max_Scale : constant := +18;      -- implementation-defined;
    Min_Scale : constant := -18;      -- implementation-defined;

    Min_Delta : constant := 1.0E-18;
    Max_Delta : constant := 1.0E+18;

    Max_Decimal_Digits : constant := 18; -- implementation-defined;

    generic
       type Dividend_Type  is delta <> digits <>;
       type Divisor_Type   is delta <> digits <>;
       type Quotient_Type  is delta <> digits <>;
       type Remainder_Type is delta <> digits <>;
    procedure Divide (Dividend  : in Dividend_Type;
                      Divisor   : in Divisor_Type;
                      Quotient  : out Quotient_Type;
                      Remainder : out Remainder_Type);

    pragma Inline (Divide);
end Ada.Decimal;
