-- $Source: /home/dsd/d/aa/monoBANK/AA/ada.storage_io.bdy,v $ 
-- $Revision: 1.3 $ $Date: 96/07/18 17:01:19 $ $Author: stt $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

pragma ada_child;
package body Ada.Storage_IO is

    pragma Suppress( Elaboration_Check );

    type Wrapped_Element_Type is array(1..1) of Element_Type;

    procedure Read( Buffer : in Buffer_Type;
    		    Item   : out Element_Type ) is
	Buffer_As_Wrapped_Element : constant Wrapped_Element_Type;
	pragma Import(Ada, Buffer_As_Wrapped_Element);
	for Buffer_As_Wrapped_Element'Address use Buffer'Address;
    begin
    	Item := Buffer_As_Wrapped_Element(1);

    exception
	when others =>
	    raise Data_Error;

    end Read;		    
		    
    procedure Write( Buffer : out Buffer_Type;
    		     Item   : in Element_Type ) is
	Buffer_As_Wrapped_Element : Wrapped_Element_Type;
	pragma Import(Ada, Buffer_As_Wrapped_Element);
	for Buffer_As_Wrapped_Element'Address use Buffer'Address;
    begin
    	Buffer_As_Wrapped_Element(1) := Item;
    end Write;
    
end Ada.Storage_IO;
