-- $Source: /home/dsd/d/aa/monoBANK/AA/system.rts.tgt.exception_reason_pkg.bdy,v $ 
-- $Revision: 1.1 $ $Date: 95/12/01 11:43:53 $ $Author: akira $ 
--        Copyright (C) 1995 by Intermetrics, Inc.   

package body System.RTS.TGT.Exception_Reason_Pkg is

   pragma Suppress (Elaboration_Check);
   pragma Suppress (Storage_Check);


   MSG_NONE : aliased constant String := "";
   MSG_ABE  : aliased constant String := "access before elaboration violation";
   MSG_ACE  : aliased constant String := "access error";
   MSG_CFL  : aliased constant String := "collection full";
   MSG_DVZ  : aliased constant String := "divide by zero";
   MSG_SOF  : aliased constant String := "fatal stack overflow";
   MSG_ISE  : aliased constant String := "internal system error";
   MSG_NOC  : aliased constant String := "coprocessor not present";
   MSG_NOV  : aliased constant String := "numeric overflow";
   MSG_RNG  : aliased constant String := "range error";
   MSG_SOV  : aliased constant String := "stack overflow";
   MSG_SYN  : aliased constant String := "syntax error";
   MSG_UNHANDLED_IN_FINALIZATION : aliased constant String := 
              "unhandled exception in finalization subprogram";
              
   Messages : constant array (Reason_Code) of Access_String := (
      MSG_NONE'access,
      MSG_ABE'access,
      MSG_ACE'access,
      MSG_CFL'access,
      MSG_DVZ'access,
      MSG_SOF'access,
      MSG_ISE'access,
      MSG_NOC'access,
      MSG_NOV'access,
      MSG_RNG'access,
      MSG_SOV'access,
      MSG_SYN'access,
      MSG_UNHANDLED_IN_FINALIZATION'access);
      
    function Get_Reason_Message (Reason : Reason_Code) return Access_String is
    begin
	return Messages (Reason);
    end Get_Reason_Message;

end System.RTS.TGT.Exception_Reason_Pkg;
