with Win32, Win32.WinUser, Win32.WinDef, gbObjects;
use type Win32.Int, Win32.Bool, Win32.WinDef.hWnd;
use gbObjects;

package Window1 is
  Form            : gbMainWindow;
  HScroll3        : gbHScrollBar;
  HScroll2        : gbHScrollBar;
  HScroll1        : gbHScrollBar;
  Label3          : gbLabel;
  Label2          : gbLabel;
  Label1          : gbLabel;
  procedure Initialize_Form;
end Window1;

package body Window1 is
  procedure HScroll3_Scrolled is 
  begin
    BackColor(Form, Color(Value(HScroll1), Value(HScroll2), Value(HScroll3)));
    BackColor(HScroll3, Color(0, 0, Value(HScroll3)));
  end HScroll3_Scrolled;

  procedure HScroll2_Scrolled is 
  begin
    BackColor(Form, Color(Value(HScroll1), Value(HScroll2), Value(HScroll3)));
    BackColor(HScroll2, Color(0, Value(HScroll2), 0));
  end HScroll2_Scrolled;

  procedure HScroll1_Scrolled is 
  begin
    BackColor(Form, Color(Value(HScroll1), Value(HScroll2), Value(HScroll3)));
    BackColor(HScroll1, Color(Value(HScroll1), 0, 0));
  end HScroll1_Scrolled;

  procedure Initialize_Form is
  begin
    HScroll3.Scrolled := HScroll3_Scrolled'access;
    ImmediateUpdate(HScroll3, gbTrue);
    SetScrollValues(HScroll3, 0, 255, 10, 1, 0);
    Move(HScroll3, 80, 100, 211, 21);

    HScroll2.Scrolled := HScroll2_Scrolled'access;
    ImmediateUpdate(HScroll2, gbTrue);
    SetScrollValues(HScroll2, 0, 255, 10, 1, 0);
    Move(HScroll2, 80, 60, 211, 21);

    HScroll1.Scrolled := HScroll1_Scrolled'access;
    ImmediateUpdate(HScroll1, gbTrue);
    SetScrollValues(HScroll1, 0, 255, 10, 1, 0);
    Move(HScroll1, 80, 20, 211, 21);

    Text(Label3, "Blue:");
    SetFont(Label3, "MS Sans Serif", 8, gbFalse, gbFalse, gbFalse);
    SetColors(Label3, Color(0, 0, 0), Color(255, 255, 255));
    Move(Label3, 20, 100, 61, 21);

    Text(Label2, "Green:");
    SetFont(Label2, "MS Sans Serif", 8, gbFalse, gbFalse, gbFalse);
    SetColors(Label2, Color(0, 0, 0), Color(255, 255, 255));
    Move(Label2, 20, 60, 61, 21);

    Text(Label1, "Red:");
    SetFont(Label1, "MS Sans Serif", 8, gbFalse, gbFalse, gbFalse);
    SetColors(Label1, Color(0, 0, 0), Color(255, 255, 255));
    Move(Label1, 20, 20, 61, 21);

    Text(Form, "Colors");
    Move(Form, 2, 109, 400, 192);
    Visible(Form, gbTrue);
  end Initialize_Form;
begin
  Initialize_Form;
end Window1;


with gbObjects;
with Window1;

procedure Main is begin
  gbObjects.gbStartApplication;
end Main;


