package Ada_Store.Support.IPC is

   protected type Mutex is

      entry Acquire;
      procedure Release;

   private
      Locked : Boolean := False;
   end Mutex;

   protected type Semaphore(Auto_Reset : Boolean := True) is
      
      entry Wait;
      entry Signal;

      entry Reset;

   private
      Signals : Integer := 0;
   end Semaphore;

end Ada_Store.Support.IPC;
