-- ***************************************************************************
-- *                       Type_Subtype.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This simple example shows the difference between types and
-- *    subtypes.
-- * Inputs:  None.
-- * Outputs: This example does not compile.
-- ***************************************************************************

procedure Type_Subtype is

   type Transaction_ID_1 is new Integer;

   subtype Transaction_ID_2 is Integer;

   An_Integer         : Integer := 0;
   First_Transaction  : Transaction_ID_1;
   Second_Transaction : Transaction_ID_2;
begin

   First_Transaction := An_Integer; -- illegal
   Second_Transaction := An_Integer;

   An_Integer := First_Transaction; -- illegal
   An_Integer := Second_Transaction;

   An_Integer := Integer(First_Transaction);
   An_Integer := Integer(Second_Transaction);

end Type_Subtype;
