-- ***************************************************************************
-- *                         Bubble_Sort.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: This procedure implements a bubble sort over a given 
-- *    array - see specification for more details.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

procedure Bubble_Sort(The_Array : in out Element_Array) is
begin
   for Loop_Top in reverse The_Array'Range loop
	 for Item in The_Array'First .. Index_Type'Pred(Loop_Top)
      loop
	    if The_Array(Item) > The_Array(Index_Type'Succ(Item))
         then
	       declare
               Element : Element_Type := The_Array(Item);
	       begin
               The_Array(Item) :=The_Array(Index_Type'Succ(Item));
               The_Array(Index_Type'Succ(Item)) := Element;
	       end;
	    end if;
	 end loop;
   end loop;
end Bubble_Sort;   
