-- ***************************************************************************
-- *                         Test5.adb 
-- * Copyright (c) Simon Johnston & Addison Wesley Longman 1996.
-- *
-- * Description: Test the multiple inheritance support using the package 
-- *    Domesticated.
-- * Inputs:  None.
-- * Outputs: None.
-- ***************************************************************************

with Animal;
use  Animal;
with Animal.Dog;
with Domesticated;
 
procedure Test5 is

   package Domesticated_Dog is new Domesticated(Dog.Instance);

   A_Wild_Wolf   : Dog.Instance;
   My_Pet_Collie : Domesticated_Dog.Instance;
begin

   Domesticated_Dog.Set_Purpose("Herd Sheep and tear slippers");
end Test5;
