-- Filename: RandRect.ads
--
-- This is the conversion of Petzold's Win 95
-- Chapter 4 program RandRect.  This file contains
-- the data structures needed for this program.
-- 
with Ada.Numerics.Float_Random;

with Interfaces.C.Strings;

with Win32;
with Win32.Windef;
with Win32.Wingdi;

use type Win32.Char_Array;

package Randrect is

   Client_Width  : Win32.Int;
   Client_Height : Win32.Int;

   Rand_Gen : Ada.Numerics.Float_Random.Generator;

   Rectangle     : aliased win32.WinDef.Rect;

end Randrect;
