-- $Source: /home/harp/1/proto/monoBANK/winnt/win32-crt-perthread.ads,v $ 
-- $Revision: 1.2 $ $Date: 96/09/13 16:40:48 $ $Author: mg $ 
-- See end of file for Copyright (c) information.

with System;

package Win32.crt.PerThread is

    -- Functions to get the address of per-thread data items.
    -- It would be possible to write single-thread and multi-thread
    -- versions of the bodies of these, where the single-thread
    -- version would just call a function at program startup time
    -- and then remember the address.

    -- type Per_Thread_Object is (Errno, Doserrno, Fpecode, Pxcptinfoptrs);
    type Per_Thread_Object is (Errno, Doserrno);

    function Get_Address (Which: Per_Thread_Object) return System.Address;

private

    pragma Inline(Get_Address);

-------------------------------------------------------------------------------
--
-- THIS FILE AND ANY ASSOCIATED DOCUMENTATION IS FURNISHED "AS IS" WITHOUT 
-- WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED 
-- TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR 
-- PURPOSE.  The user assumes the entire risk as to the accuracy and the 
-- use of this file.
--
-- Copyright (c) Intermetrics, Inc. 1995
-- Royalty-free, unlimited, worldwide, non-exclusive use, modification, 
-- reproduction and further distribution of this file is permitted.
--
-------------------------------------------------------------------------------

end Win32.crt.PerThread;
